// Flutter code sample for Expanded

// This example shows how to use an [Expanded] widget in a [Column] so that
// it's middle child, a [Container] here, expands to fill the space.
//
// ![This results in two thin blue boxes with a larger amber box in between.](https://flutter.github.io/assets-for-api-docs/assets/widgets/expanded_column.png)



import 'package:flutter/material.dart';

//import 'package:flutterappxs/theme/theme.dart';
import 'package:flutter_widgets_library/theme/theme.dart';

/// This Widget is the main application widget.
class PwcFractionallySizedBox extends StatelessWidget {


  final Key key;
  @required final Widget child;
  final AlignmentGeometry alignment;
  final widthFactor;
  final double heightFactor;



  const PwcFractionallySizedBox
      ({
    this.key,
    this.alignment = Alignment.center,
    this.widthFactor,
    this.heightFactor,

    this.child,
  }) : assert(alignment != null),
        assert(widthFactor == null || widthFactor >= 0.0),
        assert(heightFactor == null || heightFactor >= 0.0);



  /// This is the stateless widget that the main application instantiates.


  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(


      body: Center(
        child: Row(
          children: <Widget>[



            FractionallySizedBox(
              child:child!=null?child:Container(height: 100,width: 100,color: Colors.yellow,),
              widthFactor: widthFactor!=null?widthFactor:100.0,
              heightFactor: heightFactor!=null?heightFactor:100.0,
              alignment: Alignment!=null?Alignment:Alignment.center,


            )
          ],
        ),
      ),
      ),
    );
  }
}
