import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';

enum ThemeType { Light, Dark }

class ThemeProvider extends ChangeNotifier {
  // set the defaukt theme to dark theme
  ThemeData currentTheme = MediumGreyThemeData();
  // set the default enum selection to dark theme
  ThemeType _themeType = ThemeType.Dark;

  // function that changes app theme based on user selection
  changeTheme() {
    // change to light theme if current theme is dark
    if (_themeType == ThemeType.Dark) {
      //currentTheme = PwCYellowThemeData();
      _themeType = ThemeType.Light;
      return notifyListeners();
    }

    // change to dark theme if current theme is light
    if (_themeType == ThemeType.Light) {
      currentTheme = MediumGreyThemeData();
      _themeType = ThemeType.Dark;
      return notifyListeners();
    }
  }
}
