import 'package:flutter/material.dart';
import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/color.dart';

// ===== ThemeData for Yellow theme =====
ThemeData YellowThemeData() {
  final baseTheme = ThemeData.light();
  return baseTheme.copyWith(
    tabBarTheme: baseTheme.tabBarTheme.copyWith(
      indicator: UnderlineTabIndicator(
        borderSide: BorderSide(
          color: AppColorsYellow.kWhite,
          width: 2.0,
        ),
      ),
      labelColor: AppColorsYellow.kWhite,
      unselectedLabelColor: AppColorsYellow.tlColor,
    ),
    brightness: Brightness.light,
    accentColor: AppColorsYellow.gaColor,
    primaryColor: AppColorsYellow.tColor,
    primaryColorDark: AppColorsYellow.tdColor,
    floatingActionButtonTheme: baseTheme.floatingActionButtonTheme.copyWith(
      backgroundColor: AppColorsYellow.gaColor,
      foregroundColor: AppColorsYellow.kWhite,
    ),
    scaffoldBackgroundColor: AppColorsYellow.bgColor,
    backgroundColor: AppColorsYellow.bgColor,
    iconTheme: baseTheme.iconTheme.copyWith(
      color: AppColorsYellow.kWhite,
    ),
    primaryIconTheme: baseTheme.primaryIconTheme.copyWith(
      color: AppColorsYellow.kWhite,
    ),
    accentIconTheme: baseTheme.accentIconTheme.copyWith(
      color: AppColorsYellow.kWhite,
    ),
    textTheme: baseTheme.textTheme.apply(
      fontFamily: 'Roboto',
    ),
  );
}

// ===== Medium grey theme =====
ThemeData MediumGreyThemeData() {
  final baseTheme = ThemeData.dark();
  return baseTheme.copyWith(
      tabBarTheme: baseTheme.tabBarTheme.copyWith(
        indicator: UnderlineTabIndicator(
          borderSide: BorderSide(
            color: AppColorsMediumGrey.groupWidgetColor,
            width: 2.0,
          ),
        ),
        labelColor: AppColorsMediumGrey.yellow,
        unselectedLabelColor: AppColorsMediumGrey.yellow,
      ),
      brightness: Brightness.dark,
      accentColor: AppColorsMediumGrey.groupWidgetColor,
      primaryColor: AppColorsMediumGrey.bGColor,
      primaryColorDark: AppColorsMediumGrey.bgColor,
      primaryColorLight: AppColorsMediumGrey.groupWidgetColor,
      canvasColor: AppColorsMediumGrey.groupWidgetColor,
      bottomAppBarColor: AppColorsMediumGrey.groupWidgetColor,
      cardColor: AppColorsMediumGrey.groupWidgetColor,
      dividerColor: AppColorsMediumGrey.groupWidgetColor,
      focusColor: AppColorsMediumGrey.groupWidgetColor,
      hoverColor: AppColorsMediumGrey.groupWidgetColor,
      highlightColor: AppColorsMediumGrey.groupWidgetColor,
      splashColor: AppColorsMediumGrey.groupWidgetColor,
      selectedRowColor: AppColorsMediumGrey.groupWidgetColor,
      unselectedWidgetColor: AppColorsMediumGrey.groupWidgetColor,
      disabledColor: AppColorsMediumGrey.groupWidgetColor,
      buttonColor: AppColorsMediumGrey.groupWidgetColor,
      secondaryHeaderColor: AppColorsMediumGrey.groupWidgetColor,
      textSelectionColor: AppColorsMediumGrey.groupWidgetColor,
      cursorColor: AppColorsMediumGrey.groupWidgetColor,
      textSelectionHandleColor: AppColorsMediumGrey.groupWidgetColor,
      dialogBackgroundColor: AppColorsMediumGrey.groupWidgetColor,
      indicatorColor: AppColorsMediumGrey.groupWidgetColor,
      hintColor: AppColorsMediumGrey.groupWidgetColor,
      errorColor: AppColorsMediumGrey.groupWidgetColor,
      toggleableActiveColor: AppColorsMediumGrey.groupWidgetColor,
      floatingActionButtonTheme: baseTheme.floatingActionButtonTheme.copyWith(
        backgroundColor: AppColorsMediumGrey.groupWidgetColor,
        foregroundColor: AppColorsMediumGrey.white,
      ),
      scaffoldBackgroundColor: AppColorsMediumGrey.bgColor,
      backgroundColor: AppColorsMediumGrey.bGColor,
      iconTheme: baseTheme.iconTheme.copyWith(
        color: AppColorsMediumGrey.white,
      ),
      primaryIconTheme: baseTheme.primaryIconTheme.copyWith(
        color: AppColorsMediumGrey.white,
      ),
      accentIconTheme: baseTheme.accentIconTheme.copyWith(
        color: AppColorsMediumGrey.darkGrey,
      ),
      textTheme: baseTheme.textTheme.apply(
          fontFamily: 'Helvetica', decorationColor: AppColorsMediumGrey.white));
}

// ===== Litetheme =====
ThemeData LiteThemeData() {
  final baseTheme = ThemeData.dark();
  return baseTheme.copyWith(
      tabBarTheme: baseTheme.tabBarTheme.copyWith(
        indicator: UnderlineTabIndicator(
          borderSide: BorderSide(
            color: AppColorsLite.groupWidgetColor,
            width: 2.0,
          ),
        ),
        labelColor: AppColorsLite.white,
        unselectedLabelColor: AppColorsLite.white,
      ),
      brightness: Brightness.dark,
      accentColor: AppColorsLite.groupWidgetColor,
      primaryColor: AppColorsLite.bGColor,
      primaryColorDark: AppColorsLite.bgColor,
      primaryColorLight: AppColorsLite.groupWidgetColor,
      canvasColor: AppColorsLite.groupWidgetColor,
      bottomAppBarColor: AppColorsLite.groupWidgetColor,
      cardColor: AppColorsLite.groupWidgetColor,
      dividerColor: AppColorsLite.groupWidgetColor,
      focusColor: AppColorsLite.groupWidgetColor,
      hoverColor: AppColorsLite.groupWidgetColor,
      highlightColor: AppColorsLite.groupWidgetColor,
      splashColor: AppColorsLite.groupWidgetColor,
      selectedRowColor: AppColorsLite.groupWidgetColor,
      unselectedWidgetColor: AppColorsLite.groupWidgetColor,
      disabledColor: AppColorsLite.groupWidgetColor,
      buttonColor: AppColorsLite.iconbgColor,
      secondaryHeaderColor: AppColorsLite.groupWidgetColor,
      textSelectionColor: AppColorsLite.groupWidgetColor,
      cursorColor: AppColorsLite.groupWidgetColor,
      textSelectionHandleColor: AppColorsLite.groupWidgetColor,
      dialogBackgroundColor: AppColorsLite.groupWidgetColor,
      indicatorColor: AppColorsLite.groupWidgetColor,
      hintColor: AppColorsLite.groupWidgetColor,
      errorColor: AppColorsLite.groupWidgetColor,
      toggleableActiveColor: AppColorsLite.groupWidgetColor,
      floatingActionButtonTheme: baseTheme.floatingActionButtonTheme.copyWith(
        backgroundColor: AppColorsLite.groupWidgetColor,
        foregroundColor: AppColorsLite.white,
      ),
      scaffoldBackgroundColor: AppColorsLite.bgColor,
      backgroundColor: AppColorsLite.kWhite,
      iconTheme: baseTheme.iconTheme.copyWith(
        color: AppColorsLite.iconBorderColor,
      ),
      primaryIconTheme: baseTheme.primaryIconTheme.copyWith(
        color: AppColorsLite.white,
      ),
      accentIconTheme: baseTheme.accentIconTheme.copyWith(
        color: AppColorsLite.darkGrey,
      ),
      textTheme: baseTheme.textTheme.apply(
        fontFamily: 'Helvetica',
      ));
}

ThemeData StartupTheme() {
  final baseTheme = ThemeData.light();
  return baseTheme.copyWith(
      tabBarTheme: baseTheme.tabBarTheme.copyWith(
        indicator: UnderlineTabIndicator(
          borderSide: BorderSide(
            color: StartupColor.mainYellow,
            width: 2.0,
          ),
        ),
        labelColor: StartupColor.lineColor,
        unselectedLabelColor: AppColorsMediumGrey.yellow,
      ),
      appBarTheme: baseTheme.appBarTheme.copyWith(
          color: StartupColor.darkRose,
          iconTheme: baseTheme.iconTheme.copyWith(
            color: StartupColor.primaryColor,
          ),
         ),
      brightness: Brightness.light,
      accentColor: StartupColor.primaryColor,
      primaryColor: StartupColor.mainYellow,
      primaryColorDark: StartupColor.mainYellow,
      primaryColorLight: StartupColor.mainYellow,
      canvasColor: StartupColor.mainYellow,
      bottomAppBarColor: StartupColor.mainYellow,
      cardColor: StartupColor.primaryColor,
      dividerColor: StartupColor.lineColor,
      focusColor: StartupColor.lineColor,
      hoverColor: StartupColor.black,
      highlightColor: StartupColor.mainYellow,
      splashColor: StartupColor.darkRose,
      selectedRowColor: StartupColor.darkWhite,
      unselectedWidgetColor: StartupColor.primaryColor,
      disabledColor: StartupColor.disabledColor,
      //buttonColor: StartupColor.mainYellow,
      secondaryHeaderColor: StartupColor.secondaryDarkColor,
      textSelectionColor: StartupColor.lineColor,
      cursorColor: StartupColor.mainYellow,
      textSelectionHandleColor: StartupColor.mainYellow,
      dialogBackgroundColor: StartupColor.mainYellow,
      indicatorColor: StartupColor.mainYellow,
      hintColor: StartupColor.black,
      errorColor: StartupColor.underlineColor,
      toggleableActiveColor: StartupColor.mainYellow,
      floatingActionButtonTheme: baseTheme.floatingActionButtonTheme.copyWith(
        backgroundColor: StartupColor.mainYellow,
        foregroundColor: StartupColor.primaryColor,
      ),
      scaffoldBackgroundColor: StartupColor.primaryColor,
      backgroundColor: StartupColor.secondaryDarkColor,
      iconTheme: baseTheme.iconTheme.copyWith(
        color: StartupColor.primaryColor,
      ),
      primaryIconTheme: baseTheme.primaryIconTheme.copyWith(
        color: StartupColor.primaryColor,
      ),
      accentIconTheme: baseTheme.accentIconTheme.copyWith(
        color: StartupColor.primaryColor,
      ),
  );
//      textTheme: TextTheme(
//        headline1: TextStyle(fontSize: 36,
//        fontFamily: 'Roboto',
//        color: StartupColor.black
//      ),
//      headline2: TextStyle(fontSize: 16,
//        fontFamily: 'Roboto',
//        color: StartupColor.black
//      ),
//        body1: TextStyle(fontSize: 16,
//        fontFamily: 'Roboto',
//        color: StartupColor.black
//      ),
//      body2: TextStyle(fontSize: 14,
//        fontFamily: 'Roboto',
//        color: StartupColor.black
//      )));
}
