import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/composite-widgets/custom-compositeCard.dart';
import 'package:flutter_widgets_library/view/widgets/custom-icon.dart';
import 'package:flutter_widgets_library/view/widgets/custom-FlatButton.dart';
import 'package:flutter_widgets_library/view/widgets/custom-datatable.dart';

// void main() {
//   runApp(MaterialApp(
//     title: 'Material components',
//     home: Request(),
//   ));
// }

class Request extends StatelessWidget {
  @override
  Widget build(BuildContext context) {


    void onButtonPressed(bool b) {
      print("b");
    }
    FlatButtonParameters finalObject = new FlatButtonParameters(color: MediumGreyThemeData().buttonColor,buttonText: 'Ok', onPressed: onButtonPressed);



    IconState icon =new IconState(Icons.find_in_page, Colors.red,200.0);

    Rows row1=new Rows(["Service1", "Vendor1", "Acknowledged",""]);
    Rows row2=new Rows(["Service2", "Vendor2", "Pending",""]);
    Rows row3=new Rows(["Service3", "Vendor3", "Acknowledged","View"]);
    List<Rows> rows=[];
    rows.add(row1);
    rows.add(row2);
    rows.add(row3);

    Columns column = new Columns(["Service", "Vendor", "Status", "Document"]);
    DataTableSchema dt=new DataTableSchema(column, 1, false, rows );

    CustomCompositeCardParameters card1 = new CustomCompositeCardParameters(
        flexColumn1: 3,
        flexColumn2: 5,
        title: "Sample Title",
        subtitle: "Sample Subtitle",
        rightHandWidgets: [
          Text("Requested Services", style: TextStyle(fontSize:30 ,fontWeight: FontWeight.bold), ),

        ],
        leftHandWidgets: [
          CustomisedIcon(icon)
        ]);
    List<CustomCompositeCardParameters> listcards = [];
    listcards.add(card1);
    Widget widget=CompositeCard(listcards);
    return Scaffold(
      appBar: AppBar(
        title: Text('Material Components'),
        backgroundColor: MediumGreyThemeData().highlightColor,
      ),
      body: Center(
        child: Container(
          child: SingleChildScrollView(
            child: Container(
              child: Column(
                children: <Widget>[
                  widget,
                  Padding(
                    padding: const EdgeInsets.all(10.0),
                    child: CustomisedDataTable(dt),

                  ),
                  CustomFlatButton(finalObject)

                ],
              ),
            ),
          ),
        ),
      ),
    );
  }
}
