import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/view/user-screen.dart';
import 'package:flutter_widgets_library/builder/builder-class.dart';
import 'package:flutter_widgets_library/view/widgets/custom-dialogs.dart';

class HomeScreen extends StatefulWidget {
  @override
  _HomeScreenState createState() => _HomeScreenState();
}

class _HomeScreenState extends State<HomeScreen> {
  int _currentIndex = 0;
  final _dialogs = CustomDialogs();
  var productTxt = BuilderClass.BottomNavigationBarItem;
  var userTxt = BuilderClass.BottomNavigationBarItem2;
  var orderTxt = BuilderClass.BottomNavigationBarItem3;
  var cartTxt = BuilderClass.BottomNavigationBarItem4;
  final List<Widget> _bottomTabs = [
    UserScreen(),
  ];
  final TextStyle _textStyle = TextStyle(color: Colors.black);

  @override
  Widget build(BuildContext context) {
    return WillPopScope(
      onWillPop: _onWillPop,
      child: Scaffold(
        body: _bottomTabs[_currentIndex],
        bottomNavigationBar: BottomNavigationBar(
          unselectedLabelStyle: TextStyle(fontWeight: FontWeight.bold),
          unselectedFontSize: 16,
          selectedFontSize: 16,
          selectedLabelStyle: TextStyle(fontWeight: FontWeight.bold),
          backgroundColor:
          Theme.of(context).accentColor, // Custome Implement theme
          type: BottomNavigationBarType.fixed,
          onTap: onTabTapped,
          currentIndex: _currentIndex,
          items: [
            BottomNavigationBarItem(
              icon: Icon(
                Icons.home,
                color: Colors.black,
              ),
              title: Text(
                productTxt,
                style: _textStyle,
              ),
            ),
            BottomNavigationBarItem(
              icon: Icon(Icons.person, color: Colors.black),
              title: Text(
                userTxt,
                style: _textStyle,
              ),
            ),
            BottomNavigationBarItem(
              icon: Icon(Icons.view_list, color: Colors.black),
              title: Text(
                orderTxt,
                style: _textStyle,
              ),
            ),
            BottomNavigationBarItem(
              icon: Icon(Icons.shopping_cart, color: Colors.black),
              title: Text(
                cartTxt,
                style: _textStyle,
              ),
            ),
          ],
        ),
      ),
    );
  }

  Future<bool> _onWillPop() async {
    return (await showDialog(
      context: context,
      builder: (context) => new AlertDialog(
        shape:
        RoundedRectangleBorder(borderRadius: BorderRadius.circular(8)),
        title: new Text('Are you sure?'),
        content: new Text('Do you want to exit an App'),
        actions: <Widget>[
          new FlatButton(
            onPressed: () => Navigator.of(context).pop(false),
            child: new Text('No'),
          ),
          new FlatButton(
            onPressed: () => Navigator.of(context).pop(true),
            child: new Text('Yes'),
          ),
        ],
      ),
    )) ??
        false;
  }

  void onTabTapped(int index) {
    String result = "Custom widget type";
    _dialogs.showMessageDialog(context, "Alert title", result);
    setState(() {
      _currentIndex = index;
    });
  }
}
