import 'package:flutter/material.dart';
import 'package:flutter_mobx/flutter_mobx.dart';
import 'package:flutter_widgets_library/stores/user-store.dart';
import 'package:get_it/get_it.dart';

import 'widgets/expandable-panel.dart';
import 'widgets/material-card.dart';
import 'widgets/material-chip.dart';
import 'widgets/simple-dialog.dart';
import 'widgets/snack-bar.dart';

class UserScreen extends StatelessWidget {
  final TextStyle _textStyle = TextStyle(color: Colors.black);
  @override
  Widget build(BuildContext context) {
    final _user = GetIt.I.call<UserStore>();
    return Scaffold(
      appBar: AppBar(
        title: Text("User settings", style: _textStyle,),
        backgroundColor: Theme.of(context).accentColor,
      ),
      body: SingleChildScrollView(
          child: Column(
            children: <Widget>[
              ListTile(
                title: Text("User name"),
                //subtitle: Text(_user.user.name),
                leading: Icon(Icons.person_pin),
              ),
              ListTile(
                title: Text("User email"),
                //subtitle: Text(_user.user.email),
                leading: Icon(Icons.email),
              ),
            ],
      ),)
    );
  }
}
