import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/color.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as cons;
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/piggybank.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/searchPage.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/service-history.dart';
import 'package:flutter_widgets_library/view/widgets/custom-Drawer.dart';
import 'package:flutter_widgets_library/view/widgets/custom-appBar.dart';
import 'package:flutter_widgets_library/view/widgets/custom-textField.dart';
import 'package:flutter_widgets_library/view/widgets/globals.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/Homepage.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/custom-transactionPage.dart';

import 'grantsScreen.dart';

// void main() {
//   runApp(App());
// }

class vicLanding extends StatefulWidget {
  Widget tabBarViewOne;
  Widget tabBarViewTwo;
  vicLanding(this.tabBarViewOne, this.tabBarViewTwo);

  @override
  _appStartup createState() =>
      new _appStartup(this.tabBarViewOne, this.tabBarViewTwo);
}

class _appStartup extends State<vicLanding>
    with SingleTickerProviderStateMixin {
  Widget tabBarViewOne;
  Widget tabBarViewTwo;
  _appStartup(this.tabBarViewOne, this.tabBarViewTwo);

  @override
  void initState() {
    super.initState();
    tabControllerForCompositeWidget =
        TabController(initialIndex: 0, vsync: this, length: 2);
  }

  /* @override
  void dispose() {
    tabControllerForCompositeWidget.dispose();
    super.dispose();
  }*/

  @override
  Widget build(BuildContext context) {
    onclickLeftNav(int nIndex, String sText) {
      print(nIndex);
      print(sText);
    }

    leftNavRouting(int nIndex, String title) async {
      print(nIndex);
      print(title);
      if (nIndex < 2) {
        tabControllerForCompositeWidget.animateTo(nIndex);
      } else {
        await Future.delayed(Duration(milliseconds: 10));
        Navigator.of(context).push(MaterialPageRoute(
            builder: (BuildContext context) => ServiceHistory()));
      }
    }

    onTextSubmit(String sText) {
      print(sText);
    }

    String text;
    if(userType=="startup")
      text="Grants";
    else if(userType=="vendor")
      text="Ledger";
    List<TabBarProducts> tabs = [];
    TabBarProducts tab1 =
    new TabBarProducts("Services", Icons.room_service, tabBarViewOne);
    TabBarProducts tab2 =
    new TabBarProducts(text, Icons.card_travel, tabBarViewTwo);

    tabs.add(tab1);
    tabs.add(tab2);

    List<ListItems> drawerList = [
      ListItems(Icons.room_service, "Services"),
      ListItems(Icons.card_travel, text),
      ListItems(Icons.history, "History")
    ];
    CustomLinearProgressBarParameters pb = new CustomLinearProgressBarParameters(value: 0.7,backgroundColor: StartupTheme().secondaryHeaderColor,valueColor: AlwaysStoppedAnimation<Color>(StartupTheme().primaryColorDark,), );

    // These values should come from the global variable now
    User UserObj = new User("https://picsum.photos/id/1005/5760/3840.jpg",
        userName, designation+", "+companyname, Colors.red, FontWeight.bold, 13, null);

    // Text Field for using Search in AppBar
    TextFieldContents textFieldContent = new TextFieldContents(20,false,false);
    TextFieldParameters textFieldParams = new TextFieldParameters(
        decoration: InputDecoration(
            prefixIcon: Icon(Icons.search, color: StartupTheme().cardColor,),
            filled: true,
            fillColor: StartupTheme().splashColor));

    // Creating elements for AppBar
    AppBarParameters appBarParams = new AppBarParameters(
      title: Text(""),
      backgroundColor: StartupTheme().splashColor,
      elevation: 5,
      flexibleSpace: Spacer(flex: 10),
      bottomOpacity: 1.0,
      toolbarOpacity: 1.0,
      titleSpacing: 1.0,
      centerTitle: false,
    );
    List<Widget> appBarIcons = [
      IconButton(icon: Icon(Icons.search),onPressed: () {
        Navigator.push(
            context, MaterialPageRoute(builder: (context) => SearchPage()));
      },),
      IconButton(
        icon: Icon(Icons.home),
        onPressed: () {
          Navigator.push(
            context,
            MaterialPageRoute(builder: (context) => DashboardPageStartup()),
          );
        },
      ),
      IconButton(icon: Icon(Icons.account_balance_wallet),onPressed: (){
        Navigator.push(context,
            MaterialPageRoute(builder: (context)=> PiggyBank()));
      },),
      IconButton(icon: Icon(Icons.exit_to_app),onPressed: (){},),
    ];

    List<Tab> tabList = [];
    List<Widget> tabWidgets = [];
    var tab;
    for (var i = 0; i < tabs.length; i++) {
      tab = new Tab(
          text: tabs[i].text,
          icon: Icon(tabs[i].icons) != null
              ? Icon(tabs[i].icons)
              : Icon(Icons.favorite));
      tabList.add(tab);
    }
    for (var i = 0; i < tabs.length; i++) {
      tab = tabs[i].widget;
      tabWidgets.add(tab);
    }

    // If the user doesn't pass a Tab Bar as part of parameters
    if (appBarParams.bottom == null) {
      appBarParams.bottom = TabBar(
        controller: tabControllerForCompositeWidget,
        labelColor: StartupTheme().accentColor,
        indicatorColor: StartupTheme().accentColor,
        unselectedLabelColor: StartupTheme().accentColor,
        indicator: BoxDecoration(
          border: Border(
              bottom: BorderSide(
                  color: StartupTheme().hintColor,
                  width: 4
              )
          ),
          color: StartupTheme().splashColor,
        ),
        tabs: tabList,
      );
    }

    return Scaffold(
      drawer: CustomDrawer(drawerList, leftNavRouting, UserObj,pb),
      appBar: CustomAppBar(appBarIcons, appBarParams),
      body: new TabBarView(
        children: tabWidgets,
        controller: tabControllerForCompositeWidget,
      ),
    );
  }
}

class App extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    Widget tabBarViewOne = new Container(child: FirstRoute(),);
    Widget tabBarViewTwo =
    new Container(child: Grants(),);
    return MaterialApp(debugShowCheckedModeBanner: false,
        theme: StartupTheme(),
        home: vicLanding(tabBarViewOne, tabBarViewTwo));
  }
}
