import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/vendor-page.dart';
import 'package:flutter_widgets_library/view/widgets/composite-widgets/custom-compositeWidgetLanding.dart';
import 'package:flutter_widgets_library/view/widgets/custom-FlatButton.dart';
import 'package:flutter_widgets_library/view/widgets/custom-listTileWithImage.dart';
import 'package:flutter_widgets_library/view/widgets/globals.dart';

class VICLandingPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    onButtonPressed(bool sbool) {
      if(sbool == true){
        print("Navigating to next screen");
      }
    }
    onCardTap(int nIndex, String sText) {
      print(nIndex);
      print(sText);
      Navigator.push(
//          context, MaterialPageRoute(builder: (context) => VICExploreServices()));
          context, MaterialPageRoute(builder: (context) => Vendor()));
    }
    List<String> vendors = ["Vendor 1", "Vendor 2", "Vendor 3, Vendor 4"];
    List<String> services = ["Service 1","Service 2","Service 3", "Service 4"];
    List<String> projects =  ["Project 1","Project 2","Project 3", "Project 4"];
   FlatButtonParameters finalObject = new FlatButtonParameters(color: MediumGreyThemeData().buttonColor,buttonText: 'OK', onPressed: onButtonPressed);

    List<CustomTileData> tileData = [];
    CustomTileData contObj1 = new CustomTileData(
      leading: Icon(Icons.timer),
      title: "Vendor 1",
      subtitle: "Service 1 \nProject 1",
    );
    CustomTileData contObj2 = new CustomTileData(
      leading: Icon(icon2),
      title: "Vendor 2",
      subtitle: "Service 2 \nProject 2",
    );
    CustomTileData contObj3 = new CustomTileData(
      leading: Icon(Icons.timer),
      title: "Vendor 3",
      subtitle: "Service 3 \nProject 3",
    );
    CustomTileData contObj4 = new CustomTileData(
      leading: Icon(icon2),
      title: "Vendor 4",
      subtitle: "Service 4 \nProject 4",
    );

    CustomLinearProgressBarParameters progressBarParameters = new CustomLinearProgressBarParameters(value: 0.7,backgroundColor: StartupTheme().accentColor,valueColor: AlwaysStoppedAnimation<Color>(StartupTheme().primaryColorDark,),);


    tileData.add(contObj1);
    tileData.add(contObj2);
    tileData.add(contObj3);
    tileData.add(contObj4);

    CustomListTileParameters params = new CustomListTileParameters(

    );
    onTileTap(int nIndex, String sText) {
    print(nIndex);
    print(sText);
  }
    onclickLeftNav(int nIndex, String sText) {
      print(nIndex);
      print(sText);
    }

    leftNavRouting(int nIndex, String title) {
      print(nIndex);

      tabControllerForCompositeWidget.animateTo(nIndex);

      print(title);
    }

    List<TabBarProducts> tabs = [];
    List<Widget> icons = [];

    TabBarProducts tab1 = new TabBarProducts(
        "Services",
        Icons.room_service,
        SingleChildScrollView(
            child: Column(
              children: <Widget>[
                            CustomListTile(tileData, params, onTileTap),
            CustomFlatButton(finalObject),
              ],
            )));

    TabBarProducts tab2 =
    new TabBarProducts("Grants <Balance>", Icons.card_travel, Column());

    tabs.add(tab1);

    tabs.add(tab2);

    List<ListItems> listdrawer = [];

    User UserObj = new User("https://picsum.photos/id/1005/5760/3840.jpg",
        "Username", "abc@gmail.com", Colors.red, FontWeight.bold, 13, null);
    CustomLinearProgressBarParameters pb = new CustomLinearProgressBarParameters(value: 0.7,backgroundColor: StartupTheme().accentColor,valueColor: AlwaysStoppedAnimation<Color>(StartupTheme().primaryColorDark,), );


    AppBarParameters finalObject1 = new AppBarParameters(actions: <Widget>[
      IconButton(icon: Icon(Icons.add)),
      IconButton(icon: Icon(Icons.share)),
    ], title: Text('Home'));

    return MaterialApp(debugShowCheckedModeBanner: false,
        theme: LiteThemeData(),
        title: "Slider",
        home: Scaffold(
            body: AppBarWithTabsAndDrawer(finalObject1, icons, tabs, UserObj,
                listdrawer, onclickLeftNav, leftNavRouting, progressBarParameters)));
  }
}
