import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:charts_flutter/flutter.dart' as charts;

class ChartsPie extends StatefulWidget{
  List<charts.Series<dynamic,dynamic>> chartData;
  int arcValue;
  ChartsPie(this.chartData,this.arcValue);

  @override
  State<StatefulWidget> createState() {
    return _chartspie(chartData, arcValue);
  }

}

class _chartspie extends State<ChartsPie>{
  List<charts.Series<dynamic,dynamic>> chartData;
  int arcValue;
  _chartspie(this.chartData, this.arcValue);


  @override
  Widget build(BuildContext context) {
      return _CreatePieChart(chartData, arcValue);
  }

  Widget _CreatePieChart(List<charts.Series<dynamic,dynamic>> objSeries, int arcValue )
  {
    charts.PieChart mPieChart;

    mPieChart = new charts.PieChart(objSeries,

      animate:true ,
      animationDuration: Duration(seconds: 4),
      defaultRenderer: new charts.ArcRendererConfig(
          arcWidth: arcValue,
          arcRendererDecorators: [
            new charts.ArcLabelDecorator(
                labelPosition: charts.ArcLabelPosition.auto,
                
            )
          ]
      ),
      behaviors: [
        new charts.DatumLegend(
          position: charts.BehaviorPosition.bottom,
          outsideJustification: charts.OutsideJustification.middleDrawArea,
          horizontalFirst: false,
          desiredMaxRows: 2,
        )
      ],
    );

    return mPieChart;

  }


}


