import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/custom-FlatButton.dart';
import 'package:flutter_widgets_library/view/widgets/custom-textField.dart';
import '../custom-Drawer.dart';
import 'package:flutter_widgets_library/view/widgets/custom-VerticalTabs.dart';
import 'package:flutter_widgets_library/view/widgets/custom-listTileWithImage.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/custom-transactionPage.dart';

class Grants extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    int balance;
    onclickLeftNav(int nIndex, String sText) {
      print(nIndex);
      print(sText);
      if (sText == 'Alarm') {
        print('We can add routing here');
      }
    }

    onTileTap(int nIndex, String sText) {
      print(nIndex);
      print(sText);
    }

    onButtonPressed(bool sbool) {
      if(sbool == true){
        print("Proceeding to Payment");
      }
    }

    FlatButtonParameters finalObject = new FlatButtonParameters(color: MediumGreyThemeData().buttonColor,buttonText: 'Proceed to Payment', onPressed: onButtonPressed);
    CustomListTileParameters params = new CustomListTileParameters(listBgColor: StartupTheme().accentColor, textColor: StartupTheme().hintColor,iconBgColor: StartupTheme().splashColor,contentPadding: EdgeInsets.only(top: 20,bottom: 20));


    List<CustomTileData> tileData1 = [];
    CustomTileData inflowObj1 = new CustomTileData(
        leading: Icon(Icons.file_download),
        title: "Milestone 1 Payment",
        subtitle: "Setting up basic infra",
        trailingTopText: "20-04-2020",
        trailingBottomText: "₹58,600"
    );
    CustomTileData inflowObj2 = new CustomTileData(
        leading: Icon(Icons.file_download),
        title: "Successful POC Launch",
        subtitle: "POC Completion",
        trailingTopText: "25-M05-2020",
        trailingBottomText: "₹250000"
    );
    tileData1.add(inflowObj1);
    tileData1.add(inflowObj2);

    List<CustomTileData> tileData2 = [];
    CustomTileData outflowObj1 = new CustomTileData(
        leading: Icon(Icons.file_upload),
        title: "Cloud Costs",
        subtitle: "May'20 bill",
        trailingTopText: "14-05-2020",
        trailingBottomText: "₹25000"
    );
    CustomTileData outflowObj2 = new CustomTileData(
        leading: Icon(Icons.file_upload),
        title: "Licensing Costs",
        subtitle: "Apr'20 bills",
        trailingTopText: "24-04-2020",
        trailingBottomText: "₹50000"
    );
    tileData2.add(outflowObj1);
    tileData2.add(outflowObj2);

    List<CustomTileData> tileData3 = [];
    CustomTileData balanceObj1 = new CustomTileData(
        leading: Icon(Icons.account_balance_wallet,color: StartupTheme().accentColor),
        title: "Total Balance",
        subtitle: " ₹12,00,000",
    );
    CustomTileData balanceObj2 = new CustomTileData(
      leading: Icon(Icons.account_balance_wallet),
      title: "Pending Inflows",
      subtitle: " ₹1,08,000",
    );
    tileData3.add(balanceObj1);
    tileData3.add(balanceObj2);


    List<TabBarProducts> vtabs = [];
    TabBarProducts vtab1 = new TabBarProducts("", Icons.account_balance_wallet,
      Column(
        children: <Widget>[

          Padding(
            padding: const EdgeInsets.all(10.0),
            child: Center(
              child: Text(
                "Total Account Balance", style: TextStyle(color: StartupTheme().hintColor, fontWeight: FontWeight.bold, fontSize: 18.0),
              ),
            ),
          ),
          Container(
            decoration: new BoxDecoration(
              boxShadow: [
                BoxShadow(
                  color: StartupTheme().secondaryHeaderColor,
                  blurRadius: 25.0, // soften the shadow
                  spreadRadius: 5.0, //extend the shadow
                  offset: Offset(
                    15.0, // Move to right 10  horizontally
                    15.0, // Move to bottom 10 Vertically
                  ),
                )
              ],
            ),
            child:  SingleChildScrollView( child: CustomListTile(tileData3, params, onTileTap)),
          ),
        ],
      ),
        );

    TabBarProducts vtab2 = TabBarProducts("", Icons.file_download,
      Column(
        children: <Widget>[
          Padding(
            padding: const EdgeInsets.all(10.0),
            child: Center(
              child: Text(
                "Total Inflows", style: TextStyle(color: StartupTheme().hintColor, fontWeight: FontWeight.bold,fontSize: 18.0),
              ),
            ),
          ),
          Container(
            decoration: new BoxDecoration(
              boxShadow: [
                BoxShadow(
                  color: StartupTheme().secondaryHeaderColor,
                  blurRadius: 25.0, // soften the shadow
                  spreadRadius: 5.0, //extend the shadow
                  offset: Offset(
                    15.0, // Move to right 10  horizontally
                    15.0, // Move to bottom 10 Vertically
                  ),
                )
              ],
            ),
            child: Padding(
              padding: const EdgeInsets.only(top: 10),
              child: SingleChildScrollView( padding: const EdgeInsets.all(10.0), child: CustomListTile(tileData1, params, onTileTap)),
            ),
          ),
        ],
      ),
    );


    TabBarProducts vtab3 = new TabBarProducts("", Icons.file_upload,
      Column(
        children: <Widget>[
          Padding(
            padding: const EdgeInsets.all(10.0),
            child: Center(
              child: Text(
                "Total Outflows", style: TextStyle(color: StartupTheme().hintColor, fontWeight: FontWeight.bold, fontSize: 18.0),
              ),
            ),
          ),
          Container(
            decoration: new BoxDecoration(
              boxShadow: [
                BoxShadow(
                  color: StartupTheme().secondaryHeaderColor,
                  blurRadius: 25.0, // soften the shadow
                  spreadRadius: 5.0, //extend the shadow
                  offset: Offset(
                    15.0, // Move to right 10  horizontally
                    15.0, // Move to bottom 10 Vertically
                  ),
                )
              ],
            ),
            child: Padding(
              padding: const EdgeInsets.only(top: 10),
              child: SingleChildScrollView( padding: const EdgeInsets.all(10.0), child: CustomListTile(tileData2, params, onTileTap)),
            ),
          ),
        ],
      ),
    );

    TabBarProducts vtab4 = new TabBarProducts("", Icons.compare_arrows,
        SingleChildScrollView(
          child: Column(
            children: <Widget>[
              Padding(
                padding: const EdgeInsets.all(10.0),
                child: Center(
                  child: Text(
                    "Create Transaction", style: TextStyle(color: StartupTheme().hintColor, fontWeight: FontWeight.bold,fontSize: 18.0),
                  ),
                ),
              ),
              Container(child: FirstRoute(),),
            ],
          ),
        ));

    vtabs.add(vtab1);
    vtabs.add(vtab2);
    vtabs.add(vtab3);
    //vtabs.add(vtab4);


    List<ListItems> L1 = [];
    ListItems lObj1 = new ListItems(icon1, "About");
    ListItems lObj2 = new ListItems(icon2, "Contact Us");
    ListItems lObj3 = new ListItems(Icons.settings, "Settings");
    L1.add(lObj1);
    L1.add(lObj2);
    L1.add(lObj3);

    CustomVerticalTabParameters paramobj = new CustomVerticalTabParameters(itemExtent: 150, tabsWidth: 50, indicatorColor: StartupTheme().hintColor, unselectedTabBackgroundColor:StartupTheme().splashColor,selectedTabBackgroundColor: StartupTheme().splashColor,changePageDuration: Duration(milliseconds: 100), changePageCurve: Curves.easeInOut);

/*    List<Widget> appbaricons = [];
    Widget iconObj1 = CustomIconButton(finalObj);
    Widget iconObj2 = CustomIconButton(finalObj2);
    Widget iconObj3 = CustomIconButton(finalObj3);
    appbaricons.add(iconObj2);
    appbaricons.add(iconObj1);
    appbaricons.add(iconObj3);
    AppBarParameters paramobject = new AppBarParameters(elevation: 5, bottomOpacity: 1.0, toolbarOpacity: 1.0, titleSpacing: 1.0, centerTitle: true);*/

    return
            Container(
                child: VerticalTabs(
                  tabsInfo: vtabs,
                  verticalTabCallback: onclickLeftNav,
                  params: paramobj,
                )
            );
  }
}
