import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/color.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as cons;
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/piggybank.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/searchPage.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/service-history.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/services-page.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/welcome-page.dart';
import 'package:flutter_widgets_library/view/widgets/custom-Drawer.dart';
import 'package:flutter_widgets_library/view/widgets/custom-appBar.dart';
import 'package:flutter_widgets_library/view/widgets/custom-textField.dart';
import 'package:flutter_widgets_library/view/widgets/globals.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/Homepage.dart';
import 'package:flutter_svg/svg.dart';


// void main() {
//   runApp(App());
// }


class vicLanding extends StatefulWidget {
  Widget tabBarViewOne;
  Widget tabBarViewTwo;
  vicLanding(this.tabBarViewOne, this.tabBarViewTwo);

  @override
  _appStartup createState() =>
      new _appStartup(this.tabBarViewOne, this.tabBarViewTwo);
}

class _appStartup extends State<vicLanding>
    with SingleTickerProviderStateMixin {
  Widget tabBarViewOne;
  Widget tabBarViewTwo;
  _appStartup(this.tabBarViewOne, this.tabBarViewTwo);

  @override
  void initState() {
    super.initState();
    tabControllerForCompositeWidget =
        TabController(initialIndex: 0, vsync: this, length: 2);
  }

  /* @override
  void dispose() {
    tabControllerForCompositeWidget.dispose();
    super.dispose();
  }*/

  @override
  Widget build(BuildContext context) {
    onclickLeftNav(int nIndex, String sText) {
      print(nIndex);
      print(sText);
    }

    leftNavRouting(int nIndex, String title) async {
      print(nIndex);
      print(title);
      if (nIndex < 2) {
        tabControllerForCompositeWidget.animateTo(nIndex);
      } else if(nIndex==2) {
        await Future.delayed(Duration(seconds: 1));
        Navigator.push(
          context,
          MaterialPageRoute(builder: (context) => ServiceHistory()),
        );
      }
      else{
        await Future.delayed(Duration(seconds: 1));
        Navigator.push(

          context,
          MaterialPageRoute(builder: (context) => WelcomePage()),
        );

      }
    }

    onTextSubmit(String sText) {
      print(sText);
    }

    String text;
    if(userType=="startup")
      text="Grants";
    else if(userType=="vendor")
      text="Ledger";
    List<TabBarProducts> tabs = [];
    TabBarProducts tab1 =
        new TabBarProducts("Services", Icons.pan_tool, tabBarViewOne);
    TabBarProducts tab2 =
        new TabBarProducts("Grants", Icons.card_travel, tabBarViewTwo);

    tabs.add(tab1);
    tabs.add(tab2);

    List<ListItems> drawerList = [
      ListItems(Icons.room_service, "Services"),
      ListItems(Icons.card_travel, "Grants"),
      ListItems(Icons.history, "History"),
      ListItems(Icons.person,"Switch Persona"),
    ];
    CustomLinearProgressBarParameters pb = new CustomLinearProgressBarParameters(value: 0.7,backgroundColor: StartupTheme().secondaryHeaderColor,valueColor: AlwaysStoppedAnimation<Color>(StartupTheme().primaryColorDark,), );
    // These values should come from the global variable now
    User UserObj = new User("images/account_picture.jpg",
        userName, designation+", "+companyname, Colors.red, FontWeight.bold, 13, null);

    // Text Field for using Search in AppBar
    TextFieldContents textFieldContent = new TextFieldContents(20,false,false);
    TextFieldParameters textFieldParams = new TextFieldParameters(
        decoration: InputDecoration(
      prefixIcon: Icon(Icons.search, color: StartupTheme().cardColor,),
      filled: true,
      fillColor: StartupTheme().splashColor));

    // Creating elements for AppBar
    AppBarParameters appBarParams = new AppBarParameters(
        backgroundColor: StartupTheme().splashColor,
        elevation: 5,
        bottomOpacity: 1.0,
        toolbarOpacity: 1.0,
        titleSpacing: 1.0,
        centerTitle: false,
        title: Image.asset('images/logo.jpg', height: 50, width: 50,)
    );
    List<Widget> appBarIcons = [
      IconButton(
        icon:  SvgPicture.asset('images/search.svg',height: 20,width: 20,),
        tooltip: 'Opens the search bar',
        onPressed: () {
          Navigator.push(
              context, MaterialPageRoute(builder: (context) => SearchPage()));
        },
      ),
      IconButton(
        icon:  SvgPicture.asset('images/graphs.svg',height: 20,width: 20,),
        tooltip: 'Opens Graphs',
        onPressed: () {
          Navigator.push(
            context,
            MaterialPageRoute(builder: (context) => DashboardPageStartup()),
          );
        },
      ),
      IconButton(
        icon:  SvgPicture.asset('images/wallet.svg',height: 20,width: 20,),
        tooltip: 'Opens Wallet',
        onPressed: () {
          showDialog(
              context: context,
              builder: (context) =>
                  PiggyBank());
        },
      ),
      IconButton(
        icon:  SvgPicture.asset('images/services.svg',height: 20,width: 20,),
        tooltip: 'Opens Services',
        onPressed: () {
          Navigator.push(
            context,
            MaterialPageRoute(builder: (context) => Service()),
          );
        },
      ),

    ];

    List<Tab> tabList = [];
    List<Widget> tabWidgets = [];
    var tab;
    for (var i = 0; i < tabs.length; i++) {
      tab = new Tab(
          text: tabs[i].text,
          icon: Icon(tabs[i].icons) != null
              ? Icon(tabs[i].icons)
              : Icon(Icons.favorite));
      tabList.add(tab);
    }
    for (var i = 0; i < tabs.length; i++) {
      tab = tabs[i].widget;
      tabWidgets.add(tab);
    }

    // If the user doesn't pass a Tab Bar as part of parameters
    if (appBarParams.bottom == null) {
      appBarParams.bottom = TabBar(
        controller: tabControllerForCompositeWidget,
        indicatorColor: StartupTheme().primaryColorDark,
            labelColor:StartupTheme().primaryColorDark,
            unselectedLabelColor:StartupTheme().accentColor,
        indicator: BoxDecoration(
           color: StartupTheme().accentColor,
        ),
        tabs: tabList,
      );
    }

    return Scaffold(
      drawer: CustomDrawer(drawerList, leftNavRouting, UserObj,pb),
      appBar: CustomAppBar(appBarIcons, appBarParams),
      body: new TabBarView(
        children: tabWidgets,
        controller: tabControllerForCompositeWidget,
      ),
    );
  }
}

class App extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    Widget tabBarViewOne = new Container(
        child: IconButton(
            icon: Icon(Icons.account_balance_wallet), onPressed: () {}));
    Widget tabBarViewTwo =
        new IconButton(icon: Icon(Icons.alarm), onPressed: () {});
    return MaterialApp(debugShowCheckedModeBanner: false,
        theme: StartupTheme(),
        home: vicLanding(tabBarViewOne, tabBarViewTwo));
  }
}
