import "package:flutter/material.dart";
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/Homepage.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/piggybank.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/service-history.dart';
import 'package:flutter_widgets_library/view/widgets/composite-widgets/custom-searchWidget.dart';
import 'package:flutter_widgets_library/view/widgets/custom-Drawer.dart';
import 'package:flutter_widgets_library/view/widgets/globals.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/services-page.dart';
import 'package:flutter_svg/svg.dart';
import 'HomepageVendor.dart';

//void main() => runApp(MaterialApp(debugShowCheckedModeBanner: false, home: SearchPage()));

class SearchPage extends StatefulWidget {
  @override
  _searchPage createState() => new _searchPage();
}

class _searchPage extends State<SearchPage> {
  @override
  Widget build(BuildContext context) {
    leftNavRouting(int nIndex, String title) async {
      print(nIndex);
      print(title);
      if (nIndex < 2) {
        tabControllerForCompositeWidget.animateTo(nIndex);
      } else {
        await Future.delayed(Duration(seconds: 1));
        Navigator.push(
          context,
          MaterialPageRoute(builder: (context) => ServiceHistory()),
        );
      }
    }

    User UserObj = new User(
        "images/account_picture.jpg",
        userName,
        designation + ", " + companyname,
        Colors.red,
        FontWeight.bold,
        13,
        null);
    
    List<ListItems> drawerList = [
      ListItems(Icons.room_service, "Services"),
      ListItems(Icons.card_travel, "Grants"),
      ListItems(Icons.history, "History")
    ];
    AppBarParameters appBarParams = new AppBarParameters(
      backgroundColor: StartupTheme().splashColor,
      elevation: 5,
      bottomOpacity: 2.0,
      toolbarOpacity: 1.0,
      titleSpacing: 1.0,
      centerTitle: false,
      title: Image.asset('images/logo.jpg', height: 50, width: 50,)

    );

    List<Widget> appBarIcons = [
      IconButton(
        icon: Icon(Icons.arrow_back),
        onPressed: () {
          Navigator.pop(context);
        },
      ),
      IconButton(
        icon:  SvgPicture.asset('images/graphs.svg',height: 20,width: 20,),
        tooltip: 'Opens Graphs',
        onPressed: () {
          Navigator.push(
            context,
            MaterialPageRoute(builder: (context) => DashboardPageVendor()),
          );
        },
      ),
      IconButton(
        icon:  SvgPicture.asset('images/wallet.svg',height: 20,width: 20,),
        tooltip: 'Opens Wallet',
        onPressed: () {
          showDialog(
              context: context,
              builder: (context) =>
                  PiggyBank());
        },
      ),
      IconButton(
        icon:  SvgPicture.asset('images/services.svg',height: 20,width: 20,),
        tooltip: 'Opens Services',
        onPressed: () {
          Navigator.push(
            context,
            MaterialPageRoute(builder: (context) => Service()),
          );
        },
      ),
    ];
    CustomListTileParameters listTileParameters =
        new CustomListTileParameters(fontFamily: 'Roboto', fontSize: 14);
    onClickCallback(int nIndex, String title) {
      print(nIndex);
      print(title);
    }

    CustomLinearProgressBarParameters progressBarParameters =
        new CustomLinearProgressBarParameters(value: 0.7,backgroundColor: StartupTheme().accentColor,valueColor: AlwaysStoppedAnimation<Color>(StartupTheme().primaryColorDark,), );

    TextFieldContents textFieldContents =
        new TextFieldContents(20, false, false);
    TextFieldParameters textFieldParams = new TextFieldParameters(
        cursorColor: StartupTheme().accentColor,
        cursorRadius: Radius.circular(50),
        decoration: InputDecoration(
          prefixIcon: Icon(
            Icons.search,
            color: StartupTheme().accentColor,
          ),
          filled: true,
          fillColor: StartupTheme().splashColor,
          hintText: "Search for partners",
          hintStyle: TextStyle(color: StartupTheme().accentColor),
          focusColor: StartupTheme().accentColor,
        ));
    return MaterialApp(debugShowCheckedModeBanner: false,
        theme: StartupTheme(),
        home: Scaffold(
            body: CustomSearchBar(
                appBarParams,
                listTileParameters,
                appBarIcons,
                onClickCallback,
                textFieldContents,
                textFieldParams,
                drawerList,
                UserObj,
                leftNavRouting,
                progressBarParameters)));
  }
}
