import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as consts;
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/grantsScreen.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/landing-page.dart';
import 'package:flutter_widgets_library/view/widgets/custom-listTileWithImage.dart';
import 'package:flutter_widgets_library/view/widgets/custom-FlatButton.dart';
import 'package:flutter_widgets_library/theme/theme.dart';

//void main() => runApp(MaterialApp(debugShowCheckedModeBanner: false, home: ServiceHistory()));

class ServiceHistory extends StatefulWidget{
  @override
  _App createState() => new _App();
  }

class _App extends State<ServiceHistory> {

  static onTileTap(int nIndex, String sText) {
    print(nIndex);
    print(sText);
  }

  onButtonPressed(bool sbool) {
    if(sbool == true){
      print("Navigating to next screen");
      Navigator.pop(context);
    }
  }

  @override
  Widget build(BuildContext context) {

    FlatButtonParameters finalObject = new FlatButtonParameters(color: StartupTheme().splashColor,buttonText: 'Back', onPressed: onButtonPressed);

    List<CustomTileData> tileData1 = [];
    List<CustomTileData> tileData2 = [];
    List<CustomTileData> tileData3 = [];

    CustomTileData contObj1 = new CustomTileData(
        leading: Icon(Icons.done_outline),
        title: "Indrani Virtual Classroom",
        subtitle: "Education Online",
        trailingTopText: "Availed on",
        trailingBottomText: "24-05-20"
    );
    CustomTileData contObj2 = new CustomTileData(
        leading: Icon(Icons.timer),
        title: "Identity Blockchain",
        subtitle: "IT Services",
        trailingTopText: "Availed on",
        trailingBottomText: "10-05-20"
    );
    CustomTileData contObj3 = new CustomTileData(
        leading: Icon(Icons.cancel),
        title: "Production Line Setup",
        subtitle: "Industrial",
        trailingTopText: "Availed on",
        trailingBottomText: "10-05-20"
    );
    CustomTileData contObj4 = new CustomTileData(
        leading: Icon(Icons.cancel),
        title: "Service Name 4",
        subtitle: "Category 3",
        trailingTopText: "Availed on",
        trailingBottomText: "DD-MM-YY"
    );


    tileData1.add(contObj1);
    tileData2.add(contObj2);
    tileData3.add(contObj3);
    //tileData3.add(contObj4);

    CustomListTileParameters params = new CustomListTileParameters(listBgColor: StartupTheme().accentColor, textColor: StartupTheme().hintColor,iconBgColor: StartupTheme().splashColor,contentPadding: EdgeInsets.only(top: 20,bottom: 20));

    Widget tabBarViewTwo = Container();
    Widget tabBarOneView = SingleChildScrollView(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: <Widget>[
              SizedBox(height: 30),
              Container(
                height: 20,
                width: 100,
                decoration: new BoxDecoration(
                    color: Colors.blue,
                    borderRadius: new BorderRadius.only(
                      topLeft: const Radius.circular(10.0),
                      topRight: const Radius.circular(10.0),
                    )
                ) ,
                child: Center(
                child: Text(
                  "Completed", style: TextStyle(color: Colors.green),
                ),
              ),
              ),
              Container(
                  decoration: new BoxDecoration(
                    boxShadow: [
                      BoxShadow(
                        color: StartupTheme().secondaryHeaderColor,
                        blurRadius: 25.0, // soften the shadow
                        spreadRadius: 5.0, //extend the shadow
                        offset: Offset(
                          15.0, // Move to right 10  horizontally
                          15.0, // Move to bottom 10 Vertically
                        ),
                      )
                    ],
                  ),
                  child: CustomListTile(tileData1, params, onTileTap)),
              SizedBox(height: 30),
              Container(
                height: 20,
                width: 100,
                decoration: new BoxDecoration(
                    color: Colors.green,
                    borderRadius: new BorderRadius.only(
                      topLeft: const Radius.circular(10.0),
                      topRight: const Radius.circular(10.0),
                    )
                ) ,
                child: Center(
                  child: Text(
                    "In Progress", style: TextStyle(color: Colors.yellow),
                  ),
                ),
              ),
              Container(
                  decoration: new BoxDecoration(
                    boxShadow: [
                      BoxShadow(
                        color: StartupTheme().secondaryHeaderColor,
                        blurRadius: 25.0, // soften the shadow
                        spreadRadius: 5.0, //extend the shadow
                        offset: Offset(
                          15.0, // Move to right 10  horizontally
                          15.0, // Move to bottom 10 Vertically
                        ),
                      )
                    ],
                  ),
                  child: CustomListTile(tileData2, params, onTileTap)),
              SizedBox(height: 30),
              Container(
                height: 20,
                width: 100,

                decoration: new BoxDecoration(
                    color: Colors.orangeAccent,
                    borderRadius: new BorderRadius.only(
                      topLeft: const Radius.circular(10.0),
                      topRight: const Radius.circular(10.0),
                    )
                ) ,
                child: Center(
                  child: Text(
                    "Cancelled", style: TextStyle(color: Colors.red),
                  ),
                ),
              ),
              Container(
                  decoration: new BoxDecoration(
                    boxShadow: [
                      BoxShadow(
                        color: StartupTheme().secondaryHeaderColor,
                        blurRadius: 25.0, // soften the shadow
                        spreadRadius: 5.0, //extend the shadow
                        offset: Offset(
                          15.0, // Move to right 10  horizontally
                          15.0, // Move to bottom 10 Vertically
                        ),
                      )
                    ],
                  ),
                  child: CustomListTile(tileData3, params, onTileTap)),
              SizedBox(height: 30)
            ],
          ),
        );

    return MaterialApp(debugShowCheckedModeBanner: false,
      theme: StartupTheme(),
      home: vicLanding(tabBarOneView, Grants())
    );
  }
}
