import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/grantsScreen.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/landingPageVendor.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/vendor-page.dart';

import '../custom-carousel.dart';
import 'landing-page.dart';

class ServiceVendor extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    List<Products> startups = [];
    List<Products> activeEngagements = [];
    List<Products> proposedEngagements = [];
    List<Products> potentialEngagements = [];

    Products startup1 =
        new Products("images/service1.png", "Adani", "Mining", "", "Rated #1 for industrial");
    Products startup2 = new Products(
        "images/service2.png", "Bitwise", "Technology Solution", "", "Ranked #1 for IT");
    Products startup3 = new Products(
        "images/service3.png", "Avians", "Industrial door", "", "Ranked #1 for Manufacturing");
    Products active1 = new Products(
        "images/service4.png", "Disney", "Movies", "", "Active Service");
    Products active2 = new Products("images/service5.png", "Heinz",
        "Food and Beverages", " ", "Active Service");
    Products proposed1 = new Products("images/service6.png", "India Post",
        "Postal and Deliveries", "", "Requested Service");
    Products potential1 = new Products(
        "images/service7.png", "Indira", "Education Providers", "", "Ranked #1 for Education");
    startups.add(startup1);
    startups.add(startup2);
    startups.add(startup3);
    activeEngagements.add(active1);
    activeEngagements.add(active2);
    proposedEngagements.add(proposed1);
    potentialEngagements.add(potential1);

    //Callback function
    onCardTap(int nIndex, String sText1, String sText2, String sText3,
        String sText4, String Image) {
      print(nIndex);
      print(sText1);
      Navigator.of(context).pushReplacement(
        MaterialPageRoute(
            builder: (context) => Vendor(),
            settings: RouteSettings(arguments: {
              "vendor": sText1,
              "service": sText2,
              "project": sText3,
              "serviceType": sText4,
              "path": Image
            })),
      );
    }

    Widget tabBarViewOneStartup = SingleChildScrollView(
        child: Column(
      children: <Widget>[
        Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            SizedBox(
              height: heightThirty,
            ),
            Padding(padding: EdgeInsets.only(left: 20),
            child: Text(
              "Startups",
              style: TextStyle(fontSize: heightThirty),
              textAlign: TextAlign.left,
            )),
            CardsHorizontalScroll(startups, onCardTap),
          ],
        ),
        Divider(
          color: StartupTheme().focusColor,
          thickness: 1,
          indent: 20,
          endIndent: 20,
        ),
        SizedBox(
          height: heightTen,
        ),
        Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            Padding(padding: EdgeInsets.only(left: 20),
            child: Text(
              "Active Engagements",
              style: TextStyle(fontSize: heightThirty),
              textAlign: TextAlign.left,
            )),
            CardsHorizontalScroll(activeEngagements, onCardTap),
          ],
        ),
        Divider(
          color: StartupTheme().focusColor,
          thickness: 1,
          indent: 20,
          endIndent: 20,
        ),
        SizedBox(
          height: heightTen,
        ),
        Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            Padding(padding: EdgeInsets.only(left: 20),
            child: Text(
              "Proposed Engagements",
              style: TextStyle(fontSize: heightThirty),
              textAlign: TextAlign.left,
            )),
            CardsHorizontalScroll(proposedEngagements, onCardTap),
          ],
        ),
        Divider(
          color: StartupTheme().focusColor,
          thickness: 1,
          indent: 20,
          endIndent: 20,
        ),
        Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            Padding(padding: EdgeInsets.only(left: 20),
            child: Text(
              "Potential Engagements",
              style: TextStyle(fontSize: heightThirty),
              textAlign: TextAlign.left,
            )),
            CardsHorizontalScroll(potentialEngagements, onCardTap),
          ],
        )
      ],
    ));
    Widget tabBarViewTwo = Grants();

    Widget view1;
    view1 = tabBarViewOneStartup;

    return MaterialApp(debugShowCheckedModeBanner: false,
        theme: StartupTheme(), home: vicLandingVendor(view1, tabBarViewTwo));
  }
}
