import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/grantsScreen.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/vendor-page.dart';
import 'package:flutter_widgets_library/view/widgets/custom-carouselTwo.dart';

import '../custom-carousel.dart';
import 'landing-page.dart';

class Service extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    List<Products> vendors = [];
    List<Products> activeServices = [];
    List<Products> requestedServices = [];
    List<Products> recommendedServices = [];

    Products vendor1 =
        new Products("images/service1.png", "Adani", "Mining", "", "Rated #1 for Mining");
    Products vendor2 = new Products(
        "images/service2.png", "Bitwise", "Technology Solution", "", "Ranked #1 for IT");
    Products vendor3 = new Products(
        "images/service3.png", "Avians", "Industrial door", "", "Ranked #1 for Industrial");
    Products active1 = new Products(
        "images/service4.png", "Disney", "Movies", "", "Active Service");
    Products active2 = new Products("images/service5.png", "Heinz",
        "Food and Beverages", " ", "Active Service");
    Products requested1 = new Products("images/service6.png", "India Post",
        "Postal and Deliveries", "", "Requested Service");
    Products recommended1 = new Products(
        "images/service7.png", "Indira", "Education Providers", "", "Ranked #1 for Education");
    vendors.add(vendor1);
    vendors.add(vendor2);
    vendors.add(vendor3);
    activeServices.add(active1);
    activeServices.add(active2);
    requestedServices.add(requested1);
    recommendedServices.add(recommended1);

    //Callback function
    onCardTap(int nIndex, String sText1, String sText2, String sText3,
        String sText4, String Image) {
      print(nIndex);
      print(sText1);
      Navigator.of(context).pushReplacement(
        MaterialPageRoute(
            builder: (context) => Vendor(),
            settings: RouteSettings(arguments: {

              "vendor": sText1,
              "service": sText2,
              "project": sText3,
              "serviceType": sText4,
              "path":Image
            })),
      );
    }

    Widget tabBarViewOneStartup = SingleChildScrollView(
        child: Column(
      children: <Widget>[
        Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            SizedBox(
              height: heightThirty,
            ),
            Padding(padding: EdgeInsets.only(left: 20),
            child: Text(
              "Vendors",
              style: TextStyle(fontSize: heightThirty),
              textAlign: TextAlign.left,
            )),
            CardsHorizontalScroll(vendors, onCardTap),
          ],
        ),
        Divider(
          color: StartupTheme().focusColor,
          thickness: 1,
          indent: 20,
          endIndent: 20,
        ),
        SizedBox(
          height: heightTen,
        ),
        Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            Padding(padding: EdgeInsets.only(left: 20),
            child: Text(
              "Active Services",
              style: TextStyle(fontSize: heightThirty),
              textAlign: TextAlign.left,
            )),
            CardsHorizontalScroll(activeServices, onCardTap),
          ],
        ),
        Divider(
          color: StartupTheme().focusColor,
          thickness: 1,
          indent: 20,
          endIndent: 20,
        ),
        SizedBox(
          height: heightTen,
        ),
        Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            Padding(padding: EdgeInsets.only(left: 20),
            child: Text(
              "Requested Services",
              style: TextStyle(fontSize: heightThirty),
              textAlign: TextAlign.left,
            )),
            CardsHorizontalScroll(requestedServices, onCardTap),
          ],
        ),
        Divider(
          color: StartupTheme().focusColor,
          thickness: 1,
          indent: 20,
          endIndent: 20,
        ),
        Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            Padding(padding: EdgeInsets.only(left: 20),
            child: Text(
              "Recommended Services",
              style: TextStyle(fontSize: heightThirty),
              textAlign: TextAlign.left,
            )),
            CardsHorizontalScroll(recommendedServices, onCardTap),
          ],
        )
      ],
    ));
    Widget tabBarViewTwo = Grants();

    Widget view1;
    view1 = tabBarViewOneStartup;

    return MaterialApp(debugShowCheckedModeBanner: false,
        theme: StartupTheme(), home: vicLanding(view1, tabBarViewTwo));
  }
}
