import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/color.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/landingPageVendor.dart';
import 'package:flutter_widgets_library/view/widgets/composite-widgets/custom-compositeCard.dart';
import '../custom-FlatButton.dart';
import '../custom-carousel.dart';
import '../custom-datatable.dart';
import '../custom-icon.dart';
import '../globals.dart';
import 'landing-page.dart';
import 'services-page.dart';

class Startup extends StatelessWidget{
  @override
  Widget build(BuildContext context) {

    final vendordata = (ModalRoute.of(context).settings.arguments) as Map;
    void onButtonPressed(bool b) {

      Navigator.of(context).pushReplacement(
        MaterialPageRoute(
            builder: (context) => Service(),
            ),
      );
    }

    FlatButtonParameters finalObject = new FlatButtonParameters(
        color: MediumGreyThemeData().buttonColor,
        buttonText: 'Submit',
        onPressed: onButtonPressed);

    IconState icon = new IconState(Icons.timer, AppColorsMediumGrey.bgColor, 200.0);

    Rows row1 = new Rows([vendordata['service'], vendordata['project'],'','']);
    List<Rows> rows = [];
    rows.add(row1);

    Columns column = new Columns(["Service", "Project", "Begin", "Status"]);
    DataTableSchema dt = new DataTableSchema(column, 1, false, rows);

    CustomCompositeCardParameters card1 = new CustomCompositeCardParameters(
        flexColumn1: 3,
        flexColumn2: 5,
        title: "Sample Title",
        subtitle: "Sample Subtitle",
        rightHandWidgets: [
          Text(
            vendordata['vendor'],
            style: TextStyle(fontSize: 20, fontWeight: FontWeight.bold),
          ),
          Text("A short write up about the vendor")
        ],
        leftHandWidgets: [
          CustomisedIcon(icon)
        ]);
    List<CustomCompositeCardParameters> listcards = [];
    listcards.add(card1);
    Widget widget = CompositeCard(listcards);
    onclickLeftNav(int nIndex, String sText) {
      print(nIndex);
      print(sText);
    }

    leftNavRouting(int nIndex, String title) {
      print(nIndex);

      tabControllerForCompositeWidget.animateTo(nIndex);

      print(title);
    }



    Widget tabBarViewOne = Container(
      child: SingleChildScrollView(
        child: Container(
          child: Column(
            children: <Widget>[
              widget,
              Padding(
                padding: const EdgeInsets.all(10.0),
                child: CustomisedDataTable(dt),
              ),
              CustomFlatButton(finalObject)
            ],
          ),
        ),
      ),
    );



    Widget tabBarViewTwo = new IconButton(icon: Icon(Icons.alarm), onPressed: (){});



    return MaterialApp(debugShowCheckedModeBanner: false,
        theme: MediumGreyThemeData(),
        home: vicLandingVendor(tabBarViewOne, tabBarViewTwo)
    );
  }

}

