import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as cons;
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/Homepage.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/HomepageVendor.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/paymentScreen.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/piggybank.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/searchPage.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/service-history.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/services-page-vendor.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/vendorWallet.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/welcome-page.dart';
import 'package:flutter_widgets_library/view/widgets/custom-Drawer.dart';
import 'package:flutter_widgets_library/view/widgets/custom-appBar.dart';
import 'package:flutter_svg/svg.dart';
import 'package:flutter_widgets_library/view/widgets/custom-datatable.dart';
import 'package:flutter_widgets_library/view/widgets/custom-textField.dart';
import 'package:flutter_widgets_library/view/widgets/globals.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/services-page.dart';

import '../../../theme/theme.dart';
import '../custom-DatePicker.dart';
import '../custom-FlatButton.dart';


class MyAppTwo extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(debugShowCheckedModeBanner: false,
      title: "Test",
      home: FirstRoute(),
    );
  }
}

class FirstRoute extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    leftNavRouting(int nIndex, String title) async {
      print(nIndex);
      print(title);
      if (nIndex < 2) {
        tabControllerForCompositeWidget.animateTo(nIndex);
      } else if(nIndex==2) {
        await Future.delayed(Duration(seconds: 1));
        Navigator.push(
          context,
          MaterialPageRoute(builder: (context) => ServiceHistory()),
        );
      }
      else{
        await Future.delayed(Duration(seconds: 1));
        Navigator.push(

          context,
          MaterialPageRoute(builder: (context) => WelcomePage()),
        );

      }
    }

    List<ListItems> drawerList = [
      ListItems(Icons.room_service, "Services"),
      ListItems(Icons.card_travel, "Grants"),
      ListItems(Icons.history, "History"),
      ListItems(Icons.person,"Switch Persona"),
    ];

    // These values should come from the global variable now
    User UserObj = new User(
        "images/account_picture.jpg",
        userName,
        designation + ", " + companyname,
        Colors.red,
        FontWeight.bold,
        13,
        null);
    CustomLinearProgressBarParameters pb = new CustomLinearProgressBarParameters(value: 0.7,backgroundColor: StartupTheme().secondaryHeaderColor,valueColor: AlwaysStoppedAnimation<Color>(StartupTheme().primaryColorDark,), );

   /* AppBarParameters appBarParams = new AppBarParameters(
      title: Text(""),
      backgroundColor: StartupTheme().splashColor,
      elevation: 5,
      bottomOpacity: 2.0,
      toolbarOpacity: 1.0,
      titleSpacing: 1.0,
      centerTitle: false,
    );
    List<Widget> appBarIcons = [
       IconButton(icon: Icon(Icons.search),onPressed: () {
         Navigator.push(
             context, MaterialPageRoute(builder: (context) => SearchPage()));
       },),
       IconButton(
         icon: Icon(Icons.home),
         onPressed: () {
           Navigator.push(
             context,
             MaterialPageRoute(builder: (context) => DashboardPageVendor()),
           );
         },
       ),
       IconButton(icon: Icon(Icons.account_balance_wallet),onPressed: (){
         showDialog(
             context: context,
             builder: (context) =>
                 VendorWaller());
       },),
       IconButton(icon: Icon(Icons.list),onPressed: (){
         Navigator.push(
           context,
           MaterialPageRoute(builder: (context) => ServiceVendor()),
         );
       },),
       IconButton(icon: Icon(Icons.person),onPressed: (){
         Navigator.push(
           context,
           MaterialPageRoute(builder: (context) => WelcomePage()),
         );
       },)
     ];
     */
    AppBarParameters appBarParams = new AppBarParameters(
        backgroundColor: StartupTheme().splashColor,
        elevation: 5,
        bottomOpacity: 1.0,
        toolbarOpacity: 1.0,
        titleSpacing: 1.0,
        centerTitle: false,
        title: Image.asset('images/logo.jpg', height: 50, width: 50,)
    );
    List<Widget> appBarIcons = [
      IconButton(
        icon:  SvgPicture.asset('images/search.svg',height: 20,width: 20,),
        tooltip: 'Opens the search bar',
        onPressed: () {
          Navigator.push(
              context, MaterialPageRoute(builder: (context) => SearchPage()));
        },
      ),
      IconButton(
        icon:  SvgPicture.asset('images/graphs.svg',height: 20,width: 20,),
        tooltip: 'Opens Graphs',
        onPressed: () {
          Navigator.push(
            context,
            MaterialPageRoute(builder: (context) => DashboardPageVendor()),
          );
        },
      ),
      IconButton(
        icon:  SvgPicture.asset('images/wallet.svg',height: 20,width: 20,),
        tooltip: 'Opens Wallet',
        onPressed: () {
          showDialog(
              context: context,
              builder: (context) =>
                  VendorWaller());
        },
      ),
      IconButton(
        icon:  SvgPicture.asset('images/services.svg',height: 20,width: 20,),
        tooltip: 'Opens Services',
        onPressed: () {
          Navigator.push(
            context,
            MaterialPageRoute(builder: (context) => Service()),
          );
        },
      ),

    ];
    TextFieldContents textFieldObj = new TextFieldContents(25, true, false);
    TextFieldParameters serviceName = new TextFieldParameters(
        decoration: InputDecoration(

          hintText: 'Creating Digital Classrooms for online classrooms',
          //filled: true,
          fillColor: LiteThemeData().backgroundColor,
          border: OutlineInputBorder(
              borderRadius: BorderRadius.circular(cons.heightFifty),
              borderSide: BorderSide(
                color: LiteThemeData().primaryColorDark,
              )),
        ));
    TextFieldParameters briefDesc = new TextFieldParameters(
        decoration: InputDecoration(
          hintText: 'Require a digital platform to deliver lectures using virtual classrooms',

          //filled: true,
          fillColor: LiteThemeData().backgroundColor,

          border: OutlineInputBorder(
              borderRadius: BorderRadius.circular(cons.heightFifty),
              borderSide: BorderSide(
                color: LiteThemeData().primaryColorDark,
              )),
        ));
    TextFieldParameters budget = new TextFieldParameters(
        decoration: InputDecoration(
          hintText: 'Proposed budget: 1,00,000. You can accept the same or modify.',
          //filled: true,
          fillColor: LiteThemeData().backgroundColor,
          border: OutlineInputBorder(
              borderRadius: BorderRadius.circular(cons.heightFifty),
              borderSide: BorderSide(
                color: LiteThemeData().primaryColorDark,
              )),
        ));

    onTextSubmitCallback(String s) {
      print(s);
    }

    Rows row1 = new Rows(["GST Form", "Uploaded"]);
    Rows row2 = new Rows(["Signed MOU", "Uploaded"]);
    Rows row3 = new Rows(["Signed NDA", "Pending"]);

    List<Rows> rows = [];
    rows.add(row1);
    rows.add(row2);
    rows.add(row3);
    Columns column = new Columns(["Documents required", "Status"]);
    DatePicker obj = new DatePicker(
        buttonText: StartupTheme().primaryColorDark,
        startMonth: 2,
        startYear: 2002,
        fontWeight: null,
        selectColor: StartupTheme().primaryColorDark,
        headerColor: StartupTheme().primaryColorDark,
        bodybgColor: StartupTheme().selectedRowColor,
        dayColor: StartupTheme().hoverColor,
        monthColor: StartupTheme().hoverColor,
        dateColor: StartupTheme().hoverColor);
    DataTableSchema dt = new DataTableSchema(column, 1, true, rows);
    List<CustomCompositeCardParameters> listcards = [];
    onclick(DateTime t) {
      print(t);
    }

    onPressed(bool b) {
      print(b);
      CustomDatePicker(obj, context, onclick);

    }

    paymentScreen(bool b){
      // Navigator.push(
      //   context,
      //   MaterialPageRoute(builder: (context) => PaymentScreen()),
      // );
    }

    final FlatButtonParameters Flatbtnarameters = new FlatButtonParameters(
      fontSize: cons.fontMedium,
      onPressed: onPressed,

      color: StartupTheme().primaryColorDark,
      buttonText: 'Start Date',
      shape: RoundedRectangleBorder(
          borderRadius: new BorderRadius.circular(cons.heightTwenty)),

    );
    final FlatButtonParameters Flatbtnarameters1 = new FlatButtonParameters(
      fontSize: cons.fontMedium,

      color: StartupTheme().primaryColorDark,
      buttonText: 'Upload',
      shape: RoundedRectangleBorder(
          borderRadius: new BorderRadius.circular(cons.heightTwenty)),

    );
    final FlatButtonParameters Flatbtnarameters2 = new FlatButtonParameters(
      fontSize: cons.fontMedium,

      color: StartupTheme().primaryColorDark,
      buttonText: 'Accept Proposal',
      shape: RoundedRectangleBorder(
          borderRadius: new BorderRadius.circular(cons.heightTwenty)),

    );

    return Scaffold(
      drawer: CustomDrawer(drawerList, leftNavRouting, UserObj, pb,),
          appBar: CustomAppBar(appBarIcons, appBarParams),
      body: Container(
        child: SingleChildScrollView(
          child: Center(

            child: Column(children: [
                Padding(
            padding: const EdgeInsets.all(10.0),
            child:Text("Received Proposal",style: TextStyle(fontFamily: "Roboto",fontSize: 24,color: StartupTheme().hintColor)),
            ),
              Padding(
                padding: const EdgeInsets.all(10.0),
                child: CustomTextField(
                  data: textFieldObj,
                  params: serviceName,
                  callbackTextfield: onTextSubmitCallback,
                ),
              ),
              Padding(
                padding: const EdgeInsets.all(10.0),
                child: CustomTextField(
                  data: textFieldObj,
                  params: briefDesc,
                  callbackTextfield: onTextSubmitCallback,
                ),
              ),

              Padding(
                padding: EdgeInsets.only(left: 10.0,right:10.0,top:5.0,bottom: 10.0),
                child: ButtonTheme(
                  height: cons.heightFourrty,
                  minWidth: cons.heightTwoHundred,
                  child: CustomFlatButton(Flatbtnarameters),

                ),
              ),

              Padding(
                padding: const EdgeInsets.all(10.0),
                child: CustomTextField(
                  data: textFieldObj,
                  params: budget,
                  callbackTextfield: onTextSubmitCallback,
                ),
              ),
              Padding(
                padding: const EdgeInsets.all(8.0),
                child: Text(
                  "Attachments",
                  style: TextStyle(fontFamily:"Roboto",fontSize: 15),
                ),
              ),
              CustomisedDataTable(dt),

              SizedBox(height: 20),
              Padding(
                padding: const EdgeInsets.all(10.0),
                child: ButtonTheme(
                  height: cons.heightFourrty,
                  minWidth: cons.heightTwoHundred,
                  child: CustomFlatButton(Flatbtnarameters1),

                ),
              ),

              Padding(
                padding: const EdgeInsets.all(10.0),
                child: ButtonTheme(
                  height: cons.heightFourrty,
                  minWidth: cons.heightTwoHundred,

                  child: CustomFlatButton(Flatbtnarameters2),

                ),
              ),
            ]),

          ),
        ),
      ),
    )
    ;
  }
}
