import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/color.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/custom-transactionPage.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/landingPageVendor.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/services-page-vendor.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/transcationPageVendor.dart';
import 'package:flutter_widgets_library/view/widgets/composite-widgets/custom-compositeCard.dart';
import '../custom-FlatButton.dart';
import '../custom-carousel.dart';
import '../custom-datatable.dart';
import '../custom-icon.dart';
import '../globals.dart';
import 'grantsScreen.dart';
import 'landing-page.dart';
import 'services-page.dart';
import 'transcationPageVendor.dart';


class Vendor extends StatelessWidget{
  @override
  Widget build(BuildContext context) {

    final vendordata = (ModalRoute.of(context).settings.arguments) as Map;


    void onButtonPressed0(bool b) {

      Navigator.of(context).pushReplacement(
        MaterialPageRoute(
          builder: (context) => ServiceVendor(),
        ),
      );
    }

    void onButtonPressed1(bool b) {

      Navigator.of(context).pushReplacement(
        MaterialPageRoute(
          builder: (context) => Service(),
        ),
      );
    }



    void onButtonPressed2(bool b) {
      if(userType=='startup') {
        Navigator.of(context).pushReplacement(
          MaterialPageRoute(
            builder: (context) => MyApp(),
          ),
        );
      }

      else
        {
          Navigator.of(context).pushReplacement(
            MaterialPageRoute(
              builder: (context) => MyAppTwo(),
            ),
          );
        }
    }






    String service=vendordata['serviceType'];


    FlatButtonParameters finalObject;
    if(userType=='startup'){
    finalObject = new FlatButtonParameters(
        color: StartupTheme().splashColor,
        buttonText: 'Ok',
        onPressed: onButtonPressed1);}
    else if(userType=='vendor'){
      finalObject = new FlatButtonParameters(
          color: StartupTheme().splashColor,
          buttonText: 'Ok',
          onPressed: onButtonPressed0);}


    FlatButtonParameters finalObject2 = new FlatButtonParameters(
        color: StartupTheme().splashColor,
        buttonText: 'Request',
        onPressed: onButtonPressed2);

    if(userType=='vendor')
      finalObject2.buttonText='View Request';

    IconState icon = new IconState(Icons.timer, StartupTheme().splashColor, 200.0);

    Rows row1 = new Rows([vendordata['service'], vendordata['project'],'1-08-20','']);
    List<Rows> rows = [];
    rows.add(row1);
    Columns column = new Columns(["Service", "Project", "Begin", "Status"]);
    DataTableSchema dt = new DataTableSchema(column, 1, false, rows);


    Rows row11 = new Rows(["Service 1", "Making X Easier"]);
    List<Rows> rows1 = [];
    rows1.add(row11);
    Columns column1 = new Columns(["Service", "Description"]);
    DataTableSchema dt1 = new DataTableSchema(column1, 1, false, rows1);


    CustomCompositeCardParameters card1 = new CustomCompositeCardParameters(
        flexColumn1: 3,
        cardColor: StartupTheme().accentColor,
        flexColumn2: 5,
        title: "Sample Title",
        subtitle: "Sample Subtitle",
        rightHandWidgets: [
          Text(
            vendordata['vendor'],
            style: TextStyle(fontSize: 20, fontWeight: FontWeight.bold,
            ),
            textAlign: TextAlign.left,
          ),
          Text(vendordata['vendor'] +" is one of the world's largest service providers",style: TextStyle(fontSize: 14, fontWeight: FontWeight.bold),)
        ],
        leftHandWidgets: [
          Image.asset(vendordata['path'], width: 100, height: 100,),
        ]);
    List<CustomCompositeCardParameters> listcards = [];
    listcards.add(card1);
    Widget widget = CompositeCard(listcards);
    onclickLeftNav(int nIndex, String sText) {
      print(nIndex);
      print(sText);
    }

    leftNavRouting(int nIndex, String title) {
      print(nIndex);

      tabControllerForCompositeWidget.animateTo(nIndex);

      print(title);
    }

    Widget tabBarViewOne;

    if(service=="Requested Service"||service=="Active Service")
    {
      tabBarViewOne = Container(
        child: SingleChildScrollView(
          child: Container(
            child: Column(
              children: <Widget>[
                widget,
                Padding(
                  padding: const EdgeInsets.all(25.0),
                  child: CustomisedDataTable(dt),
                ),
                Center(
                  child: CustomFlatButton(finalObject),
                )
              ],
            ),
          ),
        ),
      );
    }
    else
    {
    tabBarViewOne = Container(
    child: SingleChildScrollView(
    child: Container(
    child: Column(
    children: <Widget>[
    widget,
    Padding(

    padding: const EdgeInsets.all(25.0),
    child: CustomisedDataTable(dt1),
    ),
    Center(
      child: Row(
    children: <Widget>[
    SizedBox(width: 25),
    Expanded(child: CustomFlatButton(finalObject)),
    SizedBox(width: 25),
    Expanded(child : CustomFlatButton(finalObject2)),
    SizedBox(width: 25),
    ],
    ),
    )


    ],
    ),
    ),
    ),
    );
    }





    Widget tabBarViewTwo = Grants();


    if(userType=='startup') {
      return MaterialApp(debugShowCheckedModeBanner: false,
          theme: StartupTheme(),
          home: vicLanding(tabBarViewOne, tabBarViewTwo)
      );
    }
    else
      {
        return MaterialApp(debugShowCheckedModeBanner: false,
            theme: StartupTheme(),
            home: vicLandingVendor(tabBarViewOne, tabBarViewTwo)
        );
      }
  }

}
/*
void main() {
  runApp(Vendor());
}*/
