import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/welcome-page.dart';
import 'package:flutter_widgets_library/view/widgets/custom-DropdownButton.dart';
import 'package:flutter_widgets_library/view/widgets/custom-FlatButton.dart';
import 'package:flutter_widgets_library/view/widgets/custom-textField.dart';
import 'package:flutter_widgets_library/view/widgets/custom-divider.dart';
import 'package:flutter_widgets_library/view/widgets/custom_AlertDialogs.dart';

class SignUp extends StatefulWidget {
  @override
  SignUpPage createState() => SignUpPage();
}

class SignUpPage extends State<SignUp> {
  static onTextSubmit(String sText) {
    print(sText);
  }

  static onDropdownSelect(String value) {
    print(value);
  }

  DropDownParameters dropdown = new DropDownParameters(
      width: 500,
      fillColor: StartupTheme().selectedRowColor,
      hintText: 'Industry Type',
      itemsList: ['Hospitality', 'Technology', 'Telecom', 'Consulting'],
      callback: onDropdownSelect);

  TextFieldParameters companyname = new TextFieldParameters(
      decoration: InputDecoration(
    hintText: 'Company Name',
    labelText: 'Company Name',
    prefixIcon: Icon(
      Icons.computer,
      color: StartupTheme().hintColor,
    ),
    filled: true,
    fillColor: LiteThemeData().backgroundColor,
    border: OutlineInputBorder(
        borderRadius: BorderRadius.circular(heightFifty),
        borderSide: BorderSide(
          color: StartupTheme().hintColor,
        )),
  ));
  TextFieldParameters companyaddress = new TextFieldParameters(
      decoration: InputDecoration(
    hintText: 'Company Address',
    labelText: 'Company Address',
    prefixIcon: Icon(
      Icons.location_city,
    ),
    filled: true,
    fillColor: LiteThemeData().backgroundColor,
    border: OutlineInputBorder(
        borderRadius: BorderRadius.circular(heightFifty),
        borderSide: BorderSide(
          color: LiteThemeData().primaryColorDark,
        )),
  ));
  TextFieldParameters firstname = new TextFieldParameters(
      decoration: InputDecoration(
    hintText: 'First Name',
    labelText: 'First Name',
    prefixIcon: Icon(
      Icons.person_outline,
    ),
    filled: true,
    fillColor: LiteThemeData().backgroundColor,
    border: OutlineInputBorder(
        borderRadius: BorderRadius.circular(heightFifty),
        borderSide: BorderSide(
          color: LiteThemeData().primaryColorDark,
        )),
  ));
  TextFieldParameters lastname = new TextFieldParameters(
      decoration: InputDecoration(
    hintText: 'Last Name',
    labelText: 'Last Name',
    filled: true,
    prefixIcon: Icon(
      Icons.person,
    ),
    fillColor: LiteThemeData().backgroundColor,
    border: OutlineInputBorder(
        borderRadius: BorderRadius.circular(heightFifty),
        borderSide: BorderSide(
          color: LiteThemeData().primaryColorDark,
        )),
  ));
  TextFieldParameters email = new TextFieldParameters(
      decoration: InputDecoration(
    prefixIcon: Icon(
      Icons.email,
    ),
    hintText: 'Email ID',
    labelText: 'Email ID',
    filled: true,
    fillColor: LiteThemeData().backgroundColor,
    border: OutlineInputBorder(
        borderRadius: BorderRadius.circular(heightFifty),
        borderSide: BorderSide(
          color: LiteThemeData().primaryColorDark,
        )),
  ));
  TextFieldParameters phoneno = new TextFieldParameters(
      decoration: InputDecoration(
    hintText: 'Phone Number',
    labelText: 'Phone Number',
    filled: true,
    prefixIcon: Icon(
      Icons.phone_android,
    ),
    fillColor: LiteThemeData().backgroundColor,
    border: OutlineInputBorder(
        borderRadius: BorderRadius.circular(heightFifty),
        borderSide: BorderSide(
          color: LiteThemeData().primaryColorDark,
        )),
  ));
  TextFieldParameters companywebsite = new TextFieldParameters(
      decoration: InputDecoration(
    prefixIcon: Icon(
      Icons.web_asset,
    ),
    hintText: 'Company Website',
    labelText: 'Company Website',
    filled: true,
    fillColor: LiteThemeData().backgroundColor,
    border: OutlineInputBorder(
        borderRadius: BorderRadius.circular(heightFifty),
        borderSide: BorderSide(
          color: LiteThemeData().primaryColorDark,
        )),
  ));
  TextFieldParameters companytin = new TextFieldParameters(
      decoration: InputDecoration(
    hintText: 'Company TIN',
    labelText: 'Company TIN',
    prefixIcon: Icon(
      Icons.confirmation_number,
    ),
    filled: true,
    fillColor: LiteThemeData().backgroundColor,
    border: OutlineInputBorder(
        borderRadius: BorderRadius.circular(heightFifty),
        borderSide: BorderSide(
          color: LiteThemeData().primaryColorDark,
        )),
  ));

  TextFieldContents formfielddata = new TextFieldContents(15, true, false);
  bool isChecked = false;
  @override
  Widget build(BuildContext context) {
    DropDownParameters dropdown = new DropDownParameters(
        width: 10000,
        fillColor: LiteThemeData().backgroundColor,
        hintText: 'Industry Type',
        itemsList: ['Hospitality', 'Technology', 'Telecom', 'Consulting'],
        callback: onDropdownSelect);

    onButtonTap(String sText) {
      print(sText);
    }

    onclickOk(bool b) {
      print("Accept");
      Navigator.push(
          context, MaterialPageRoute(builder: (context) => WelcomePage()));
    }

    onclickCancel(bool b) {
      print("Cancel");
      Navigator.pop(context);
    }

    CustomDividerParameters dividerParameters = new CustomDividerParameters(
        height: 1,
        thickness: 2,
        indent: 1,
        endIndent: 1,
        color: StartupTheme().splashColor);
    FlatButtonParameters btnobject = new FlatButtonParameters(
      buttonText: 'Cancel',
      minWidth: 300,
      height: 50,
      onPressed: onclickCancel,
      color: StartupTheme().accentColor,
      textColor: StartupTheme().splashColor,
      shape: new RoundedRectangleBorder(
          borderRadius: new BorderRadius.circular(20.0),
          side: BorderSide(
              color: StartupTheme().splashColor,
              width: button_borderWidth)),
      focusColor: StartupTheme().accentColor,
    );
    ;
    FlatButtonParameters btnobject1 = new FlatButtonParameters(
      buttonText: 'Ok',
      minWidth: 300,
      height: 50,
      onPressed: onclickOk,
      color: StartupTheme().splashColor,
    );

    AlertDialogContents alertObj1 = new AlertDialogContents(
      FlatButton(
        //color: StartupTheme().splashColor,
        child: Text(
          "Accept",
          style: TextStyle(color: StartupTheme().splashColor),
        ),
      ),
      FlatButton(
        //color: StartupTheme().splashColor,
        child: Text(
          "Cancel",
          style: TextStyle(color: StartupTheme().splashColor),
        ),
      ),
      "Proceed to Login",
      Container(
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            Text(
              "Sign Up Confirmation",
              textAlign: TextAlign.left,
            ),
            SizedBox(
              height: 5,
            ),
            CustomDivider(dividerParameters),
            SizedBox(
              height: 5,
            )
          ],
        ),
      ),
    );

    AlertDialogParameters alertobj2 = new AlertDialogParameters(
      shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(20.0)),
      backgroundColor: StartupTheme().accentColor,
      elevation: 30,
    );

    onSignUp(bool sText) {
      showDialog(
          context: context,
          builder: (context) => customAlertDialog(
              alertObj1, alertobj2, onButtonTap, btnobject, btnobject1));
      //Navigator.push(context, MaterialPageRoute(builder: (context) => SignUpDialog()));
    }

    final FlatButtonParameters Flatbtnarameters = new FlatButtonParameters(
      onPressed: onSignUp,
      fontSize: fontMedium,
      color: StartupTheme().splashColor,
      buttonText: 'Create Account',
      shape: RoundedRectangleBorder(
          borderRadius: new BorderRadius.circular(heightTwenty)),
    );
    return MaterialApp(debugShowCheckedModeBanner: false,
      theme: StartupTheme(),
      home: Scaffold(
        body: Center(
          heightFactor: MediaQuery.of(context).size.height,
          child: Container(
              child: Padding(
            padding: EdgeInsets.fromLTRB(30, 30, 30, 0),
            child: SingleChildScrollView(
              child: Column(
                mainAxisAlignment: MainAxisAlignment.start,
                children: <Widget>[
                  SizedBox(
                    height: heightTwenty,
                  ),
                  Text(
                    signUpHeading,
                    style: TextStyle(fontSize: heightThirty),
                  ),
                  SizedBox(
                    height: heightTwenty,
                  ),
                  CustomTextField(
                    params: companyname,
                    data: formfielddata,
                    callbackTextfield: onTextSubmit,
                  ),
                  CustomDropdownButton(
                    param: dropdown,
                  ),
                  SizedBox(
                    height: heightTwenty,
                  ),
                  CustomTextField(
                    params: companyaddress,
                    data: formfielddata,
                    callbackTextfield: onTextSubmit,
                  ),
                  CustomTextField(
                    params: firstname,
                    data: formfielddata,
                    callbackTextfield: onTextSubmit,
                  ),
                  CustomTextField(
                    params: lastname,
                    data: formfielddata,
                    callbackTextfield: onTextSubmit,
                  ),
                  CustomTextField(
                    params: phoneno,
                    data: formfielddata,
                    callbackTextfield: onTextSubmit,
                  ),
                  CustomTextField(
                    params: email,
                    data: formfielddata,
                    callbackTextfield: onTextSubmit,
                  ),
                  CustomTextField(
                    params: companywebsite,
                    data: formfielddata,
                    callbackTextfield: onTextSubmit,
                  ),
                  CustomTextField(
                    params: companytin,
                    data: formfielddata,
                    callbackTextfield: onTextSubmit,
                  ),
                  Row(
                    children: <Widget>[
                      Expanded(
                        child: Theme(
                            data: ThemeData(
                                unselectedWidgetColor:
                                    StartupTheme().hintColor),
                            child: Checkbox(
                                activeColor: StartupTheme().splashColor,
                                value: isChecked,
                                tristate: false,
                                onChanged: (bool value) {
                                  setState(() {
                                    isChecked = value;
                                  });
                                })),
                        flex: 1,
                      ),
                      Expanded(
                        child: Text(
                          termsnConditions,
                          style: TextStyle(
                            fontSize: font_small,
                          ),
                          overflow: TextOverflow.ellipsis,
                          maxLines: 1,
                          softWrap: true,
                        ),
                        flex: 5,
                      )
                    ],
                  ),
                  Padding(
                    padding: EdgeInsets.only(bottom: 30),
                    child: ButtonTheme(
                      height: heightFifty,
                      minWidth: heightThreeHundred,
                      child: CustomFlatButton(Flatbtnarameters),
                    ),
                  )
                ],
              ),
            ),
          )),
        ),
      ),
    );
  }
}
