import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/login.dart';
import 'package:flutter_widgets_library/view/widgets/VIC-App/vic-signup.dart';
import 'package:flutter_widgets_library/view/widgets/custom-FlatButton.dart';
import 'package:flutter_widgets_library/view/widgets/globals.dart' as vPersona;

//void main() => runApp(MaterialApp(home: WelcomePage()));

class WelcomePage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    onSignUp(bool sText) {
      Navigator.push(
          context, MaterialPageRoute(builder: (context) => SignUp()));
    }

    onSignStartUp(bool sText) {
      vPersona.userType = 'startup';
      Navigator.push(context, MaterialPageRoute(builder: (context) => Login()));
    }

    onSignVendor(bool sText) {
      vPersona.userType = 'vendor';
      Navigator.push(context, MaterialPageRoute(builder: (context) => Login()));
    }

    final FlatButtonParameters startupbtnparameters = new FlatButtonParameters(
        onPressed: onSignStartUp,
        fontSize: fontMedium,
        color: StartupTheme().selectedRowColor,
        buttonText: 'STARTUP',
        shape: RoundedRectangleBorder(
            borderRadius: new BorderRadius.circular(heightThirty)),
        textColor: StartupTheme().splashColor);
    final FlatButtonParameters vendorbtnparameters = new FlatButtonParameters(
        onPressed: onSignVendor,
        fontSize: fontMedium,
        color: StartupTheme().selectedRowColor,
        buttonText: 'VENDOR',
        shape: RoundedRectangleBorder(
            borderRadius: new BorderRadius.circular(heightThirty)),
        textColor: StartupTheme().splashColor);
    final FlatButtonParameters signupbtnparameters = new FlatButtonParameters(
      onPressed: onSignUp,
      fontSize: fontMedium,
      color: StartupTheme().splashColor,
      buttonText: 'SIGNUP',
      shape: RoundedRectangleBorder(
          borderRadius: new BorderRadius.circular(heightThirty)),
    );
    
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: Scaffold(
      body: Center(
        child: Container(
            height: MediaQuery.of(context).size.height,
            decoration: BoxDecoration(
              color: Colors.blueGrey.withOpacity(0.5),
              image: DecorationImage(
                image: AssetImage("images/welcome_screen.jpg"),
                fit: BoxFit.fill,
              ),
            ),
                child: Column(
                  children: <Widget>[
                    SizedBox(
                      height: heightFifty + heightFive,
                    ),
                    Container(
                      margin: EdgeInsets.only(right: heightTwenty),
                        padding: EdgeInsets.only(left: heightFourrty,top: heightThirty,right: heightTen,bottom: heightThirty),
                        decoration: BoxDecoration(
                          borderRadius: BorderRadius.only(topRight: Radius.circular(heightTwenty),bottomRight: Radius.circular(heightTwenty)),
                          color: Colors.black.withOpacity(.3),
                        ),
                        child: Column(
                          children: <Widget>[
                            Text(
                              'Welcome to VIC',
                              style: TextStyle(
                                  color: StartupTheme().selectedRowColor,
                                  fontSize: heightFourrty,
                                  fontFamily: 'Roboto',
                                  ),
                            ),
                            SizedBox(
                              height: heightThirty,
                            ),
                            Text(
                              'Virtual Incubation Center is a revolutionary platform that connects budding startups with verified vendors to help them fast-track their journey from an idea to a large-scale offering.',
                              style: TextStyle(
                                  color: StartupTheme().selectedRowColor,
                                  fontSize: 20,
                                  fontFamily: 'Roboto',
                                  ),
                              textAlign: TextAlign.center,
                            ),
                          ],
                        )),
                    Container(
                        padding: EdgeInsets.only(left: heightTwentyFive),
                        child: Column(
                          children: <Widget>[
                            SizedBox(
                              height: heightSeventy,
                            ),
                            Text(
                              'Login As',
                              style: TextStyle(
                                color: StartupTheme().selectedRowColor,
                                fontSize: heightTwenty,
                              ),
                            ),
                            SizedBox(
                              height: heightTwentyFive,
                            ),
                            ButtonTheme(
                              height: heightFifty,
                              minWidth: heightThreeHundred,
                              child: CustomFlatButton(startupbtnparameters),
                            ),
                            SizedBox(
                              height: heightTwentyFive,
                            ),
                            ButtonTheme(
                              height: heightFifty,
                              minWidth: heightThreeHundred,
                              child: CustomFlatButton(vendorbtnparameters),
                            ),
                            SizedBox(
                              height: heightTwentyFive,
                            ),
                            ButtonTheme(
                              height: heightFifty,
                              minWidth: heightThreeHundred,
                              child: CustomFlatButton(signupbtnparameters),
                            ),
                            SizedBox(
                              height: heightTwenty,
                            ),
                          ],
                        )),
                  ],
                ),
            ),
//            opacity: 0.6),
      ),
    )
    );
  }
}
