import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as con;
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';

import 'custom-linearProgressIndicator.dart';

class CustomDrawer extends StatefulWidget {
  List<ListItems> prod = [];
  final void Function(int, String) callback;
  User userObject;
  CustomLinearProgressBarParameters customLinearProgressBarParameters;
  CustomDrawer(this.prod, this.callback,
      this.userObject,this.customLinearProgressBarParameters); //passing the Products collection and callback function from the container

  @override
  State<StatefulWidget> createState() {
    return _statecustomDrawer(this.prod, this.callback, this.userObject,this.customLinearProgressBarParameters);
  }
}

class _statecustomDrawer extends State<CustomDrawer> {
  List<ListItems> prod = [];
  final void Function(int, String) callback;
  User userObject;
  CustomLinearProgressBarParameters customLinearProgressBarParameters;//callback function with Function method
  _statecustomDrawer(this.prod, this.callback,
      this.userObject,this.customLinearProgressBarParameters); //passing the Products collection and callback function from the container

  @override
  Widget build(BuildContext context) {
    return Drawer(child: _leftnav(prod,customLinearProgressBarParameters));
  }

  Widget _useraccount(User luseraccount) {
    return UserAccountsDrawerHeader(
        decoration: BoxDecoration(
            color: (luseraccount.headerColor == null)
                ? StartupTheme().primaryColor
                : luseraccount.headerColor),
        accountName: Text(
            (luseraccount.username != null)
                ? luseraccount.username
                : con.Drawer_username,
            style: TextStyle(
                fontSize: con.fontMedium,
                fontWeight: con.bold,
                color: StartupTheme().accentColor)),
        accountEmail: Text(
          (luseraccount.useremailid != null)
              ? luseraccount.useremailid
              : con.Drawer_email,
          style: TextStyle(
              fontSize: con.fontMedium,
              fontWeight: con.bold,
              color: StartupTheme().accentColor),
        ),
        currentAccountPicture: Container(
          decoration: BoxDecoration(
            shape: BoxShape.circle,
            image: DecorationImage(
              fit: BoxFit.fill,
              image: AssetImage((luseraccount.imagepath!=null?luseraccount.imagepath:"images/account_picture.jpg")),
            ),
          ),

        ));
  }

  List<Widget> leftnavitems(List<ListItems> lnavigation, User luseraccount) {
    List<ListTile> leftitems = lnavigation
        .map((items) => (ListTile(
              leading: Icon((items.icon != null) ? items.icon : con.icon1, 
              color: StartupTheme().hintColor),
              title: Text(
                (items.Text1) != null ? items.Text1 : con.sampleText,
                style: TextStyle(
                    fontSize: (luseraccount.fontSize == null)
                        ? luseraccount.fontSize
                        : con.fontMedium,
                    fontWeight: (luseraccount.fontWeight == null)
                        ? con.bold
                        : luseraccount.fontWeight,
                    color: (luseraccount.fontColor == null)
                        ? StartupTheme().hintColor
                        : StartupTheme().hintColor),
              ),
              onTap: () {
                callback(lnavigation.indexOf(items), items.Text1);
                Navigator.pop(context);
              },
            )))
        .toList();
    return leftitems;
  }

  Widget _leftnav(List<ListItems> prod,CustomLinearProgressBarParameters customLinearProgressBarParameters) {
    return Container(
      color: StartupTheme().accentColor,
      child: ListView(
        children: <Widget>[
          _useraccount(userObject),
          (customLinearProgressBarParameters!=null)?Padding(
            padding: EdgeInsets.only(left: con.heightTwenty,top: con.heightTen),
            child: Text('Profile Completion 80%',style: TextStyle(color: StartupTheme().hintColor,fontSize: con.font_small,fontWeight: con.bold),),
          ):Text(''),
          (customLinearProgressBarParameters!=null)?Padding(
            padding: const EdgeInsets.only(left:con.heightTwenty,right: con.heightTwenty,top: con.heightTen),
            child: CustomLinearProgressBarIndicator(customLinearProgressBarParameters),
          ):Text(''),
          Column(
            children: leftnavitems(prod, userObject),
          )
        ],
      ),
    );
  }
}
