import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as con;
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/theme/theme.dart';

Widget CustomFlatButton(FlatButtonParameters param) {
  if (param == null) {
    return FlatButton(
      child: Icon(con.icon_add),
      color: MediumGreyThemeData().buttonColor,
      colorBrightness: MediumGreyThemeData().brightness,
      disabledColor: MediumGreyThemeData().disabledColor,
      disabledTextColor: MediumGreyThemeData().disabledColor,
      focusColor: MediumGreyThemeData().focusColor,
      highlightColor: MediumGreyThemeData().highlightColor,
      hoverColor: MediumGreyThemeData().hoverColor,
      onPressed: () {},
      onLongPress: () {},
      shape: con.OutlineButtonShape,
    );
  } else {
    return FlatButton(
      child: (param.icon != null && param.buttonText == null)
          ? Icon(param.icon)
          : Text(
        param.buttonText,
        style: TextStyle(
          color: param.textColor,
          fontFamily: param.fontFamily,
          fontWeight: param.fontWeight,
          fontSize: param.fontSize,
        ),
      ),
      color: (param.color != null)
          ? param.color
          : MediumGreyThemeData().buttonColor,
      colorBrightness: MediumGreyThemeData().brightness,
      disabledColor: MediumGreyThemeData().disabledColor,
      disabledTextColor: MediumGreyThemeData().disabledColor,
      focusColor: (param.focusColor != null)
          ? param.focusColor
          : MediumGreyThemeData().focusColor,
      highlightColor: (param.highlightColor != null)
          ? param.highlightColor
          : MediumGreyThemeData().highlightColor,
      hoverColor: (param.hoverColor != null)
          ? param.hoverColor
          : MediumGreyThemeData().hoverColor,
      shape: (param.shape != null) ? param.shape : con.OutlineButtonShape,
      onPressed: () {
        return param.onPressed(true);
      },
      onLongPress: () {
        return param.onLongPressed(true);


      },
    );
  }
}