import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as con;
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/theme/theme.dart';

Widget CustomFloatingActionButton(Floatingactionbuttonparam param) {
  if (param == null) {
    return FloatingActionButton(
      autofocus: false,
      backgroundColor:
          MediumGreyThemeData().floatingActionButtonTheme.backgroundColor,
      child: Icon(con.icon_add),
      focusColor: MediumGreyThemeData().focusColor,
      foregroundColor:
          MediumGreyThemeData().floatingActionButtonTheme.foregroundColor,
      hoverColor: MediumGreyThemeData().hoverColor,
      isExtended: false,
      mini: false,
      onPressed: () {},
      shape: con.FloatingActionButtonShape,
      splashColor: MediumGreyThemeData().splashColor,
    );
  } else {
    return FloatingActionButton(
      autofocus: false,
      backgroundColor: (param.backgroundColor != null)
          ? param.backgroundColor
          : MediumGreyThemeData().floatingActionButtonTheme.backgroundColor,
      child: (param.icon != null && param.buttonText == null)
          ? Icon(param.icon)
          : Text(
              param.buttonText,
              style: TextStyle(
                fontFamily: param.fontFamily,
                fontWeight: param.fontWeight,
                fontSize: param.fontSize,
              ),
            ),
      focusColor: MediumGreyThemeData().focusColor,
      foregroundColor: (param.foregroundColor != null)
          ? param.foregroundColor
          : MediumGreyThemeData().floatingActionButtonTheme.foregroundColor,
      hoverColor: (param.hoverColor != null)
          ? param.hoverColor
          : MediumGreyThemeData().hoverColor,
      isExtended: param.isExtended,
      mini: false,
      onPressed: () {
        return param.onPressed(true);
      },
      shape:
          (param.shape != null) ? param.shape : con.FloatingActionButtonShape,
      splashColor: (param.splashColor != null)
          ? param.splashColor
          : MediumGreyThemeData().splashColor,
    );
  }
}
