import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as con;
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/theme/theme.dart';

Widget CustomOutlineButton(Outlinebuttonparam param) {
  if (param == null) {
    return OutlineButton(
      borderSide: BorderSide(color: MediumGreyThemeData().buttonColor),
      disabledTextColor: MediumGreyThemeData().disabledColor,
      disabledBorderColor: MediumGreyThemeData().disabledColor,
      highlightedBorderColor: MediumGreyThemeData().highlightColor,
      autofocus: false,
      child: Icon(con.icon_add),
      color: MediumGreyThemeData().buttonColor,
      textColor: null,
      splashColor: MediumGreyThemeData().splashColor,
      shape: con.OutlineButtonShape,
      onPressed: () {},
      onLongPress: () {},
      hoverColor: MediumGreyThemeData().hoverColor,
      focusColor: MediumGreyThemeData().focusColor,
      highlightColor: MediumGreyThemeData().highlightColor,
    );
  } else {
    return OutlineButton(
      borderSide: BorderSide(
          color: (param.borderColor != null)
              ? param.borderColor
              : MediumGreyThemeData().buttonColor,
          width: (param.borderWidth != null)
              ? param.borderWidth
              : con.border_width,
          style: (param.borderStyle != null)
              ? param.borderStyle
              : BorderStyle.solid),
      disabledTextColor: MediumGreyThemeData().disabledColor,
      disabledBorderColor: MediumGreyThemeData().disabledColor,
      highlightedBorderColor: MediumGreyThemeData().highlightColor,
      autofocus: false,
      child: (param.icon != null && param.buttonText == null)
          ? Icon(param.icon)
          : Text(
              param.buttonText,
              style: TextStyle(
                fontFamily: param.fontFamily,
                fontWeight: param.fontWeight,
                fontSize: param.fontSize,
              ),
            ),
      color: (param.color != null)
          ? param.color
          : MediumGreyThemeData().buttonColor,
      textColor: param.textColor,
      shape: (param.shape != null) ? param.shape : con.OutlineButtonShape,
      onPressed: () {
        return param.onPressed(true);
      },
      onLongPress: () {
        return param.onLongPress(true);
      },
      focusColor: (param.focusColor != null)
          ? param.focusColor
          : MediumGreyThemeData().focusColor,
      highlightColor: (param.highlightColor != null)
          ? param.highlightColor
          : MediumGreyThemeData().highlightColor,
      hoverColor: (param.hoverColor != null)
          ? param.hoverColor
          : MediumGreyThemeData().hoverColor,
      splashColor: (param.splashColor != null)
          ? param.splashColor
          : MediumGreyThemeData().splashColor,
    );
  }
}
