import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as cons;
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/view/widgets/custom-textField.dart';

Widget CustomAppBar(List<Widget> prod, AppBarParameters param) {
    if(param==null) {
      return AppBar(
        leading: null,
        elevation: cons.elevationFive,
        centerTitle: cons.centerTitle,
        backgroundColor: MediumGreyThemeData().scaffoldBackgroundColor,
        toolbarOpacity: cons.toolbarOpacityOne,
        bottomOpacity: cons.bottomOpacityOne,
        titleSpacing: cons.tileSpacingOne,
        title: param.title,
        actions: prod,
        textTheme: StartupTheme().textTheme,
      );
    }
    else {
      if(param.bottom!=null){
        return AppBar(
        leading: (param.leading !=null)?param.leading:null,
        elevation: (param.elevation !=null)?param.elevation:cons.elevationFive,
        centerTitle: (param.centerTitle != null)? param.centerTitle:cons.centerTitle,
        backgroundColor: (param.backgroundColor!=null)?param.backgroundColor:MediumGreyThemeData().scaffoldBackgroundColor,
        toolbarOpacity: (param.toolbarOpacity!=null)?param.toolbarOpacity:cons.toolbarOpacityOne,
        bottomOpacity: (param.bottomOpacity!=null)?param.bottomOpacity:cons.bottomOpacityOne,
        titleSpacing: (param.titleSpacing!=null)?param.titleSpacing:cons.tileSpacingOne,
        title: param.title,
        actions: prod,
        bottom: param.bottom,
        textTheme: StartupTheme().textTheme
      );
      }
      else{
      return AppBar(
        leading: (param.leading !=null)?param.leading:null,
        elevation: (param.elevation !=null)?param.elevation:cons.elevationFive,
        centerTitle: (param.centerTitle != null)? param.centerTitle:cons.centerTitle,
        backgroundColor: (param.backgroundColor!=null)?param.backgroundColor:MediumGreyThemeData().scaffoldBackgroundColor,
        toolbarOpacity: (param.toolbarOpacity!=null)?param.toolbarOpacity:cons.toolbarOpacityOne,
        bottomOpacity: (param.bottomOpacity!=null)?param.bottomOpacity:cons.bottomOpacityOne,
        titleSpacing: (param.titleSpacing!=null)?param.titleSpacing:cons.tileSpacingOne,
        title: param.title,
        actions: prod,
        textTheme: StartupTheme().textTheme
      );
      }
    }
  }