import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as cons;
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/theme/theme.dart';

class CardsHorizontalScroll extends StatefulWidget {
  List<Products> prod = [];
  final void Function(int, String, String, String, String, String)
      callback; //callback function with Function method
  CardsHorizontalScroll(this.prod,
      this.callback); //passing the Products collection and callback function from the container

  @override
  State<StatefulWidget> createState() {
    return _statecardshorizontalscroll(this.prod, this.callback);
  }
}

class _statecardshorizontalscroll extends State<CardsHorizontalScroll> {
  List<Products> prod = [];
  final void Function(int, String, String, String, String,String)
      callback; //callback function with Function method
  _statecardshorizontalscroll(this.prod,
      this.callback); //passing the Products collection and callback function from the container

  @override
  Widget build(BuildContext context) {
    return _showproducts(this.prod);
  }

  Widget _showproducts(List<Products> products) {
    return SafeArea(
      child: Container(
          height: 350,
          margin: EdgeInsets.symmetric(horizontal: 10, vertical: 0),
          child: GridView(
              gridDelegate: SliverGridDelegateWithFixedCrossAxisCount(
                  crossAxisCount: 1, childAspectRatio: 1.3),
              scrollDirection: Axis.horizontal,
              children: products
                  .map((item) => (Row(
                        mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                        children: <Widget>[
                          GestureDetector(
                              onTap: () {
                                callback(
                                  products.indexOf(item),
                                  item.Text1,
                                  item.Text2,
                                  item.Text3,
                                  item.Text4,
                                  item.imagepath
                                );
                              },
                              child: Container(
                                  decoration: BoxDecoration(
                                    boxShadow: [
                                      BoxShadow(
                                        color: Color(0xff2d2d2d).withOpacity(0.65),
                                        blurRadius: 10.0,
                                      ),
                                    ],
                                    color:
                                        MediumGreyThemeData().iconTheme.color,
                                    border: Border.all(
                                        color: Colors.black87, width: 0.2),
                                    borderRadius:
                                        BorderRadius.all(Radius.circular(7)),
                                  ),
                                  padding: EdgeInsets.only(top: 0,left: 20,right: 20,bottom: 20),
                                  height: 300,
                                  width: 250,
                                  child: Column(
                                    children: <Widget>[
                                      Expanded(
                                        flex: 5,
                                        child: Image.asset(
                                          item.imagepath,
                                          width: 200,
                                          height: 100,
                                        ),
                                      ),
                                      Expanded(
                                        flex: 1,
                                        child: Column(
                                          crossAxisAlignment:
                                              CrossAxisAlignment.stretch,
                                          mainAxisAlignment:
                                              MainAxisAlignment.start,
                                          children: <Widget>[
                                            Text(item.Text1,
                                                style: TextStyle(
                                                    fontSize: 24,
                                                    fontWeight: FontWeight.w600,
                                                    color: StartupTheme()
                                                        .splashColor))
                                          ],
                                        ),
                                      ),
                                      Expanded(
                                        flex: 1,
                                        child: Column(
                                          crossAxisAlignment:
                                              CrossAxisAlignment.stretch,
                                          mainAxisAlignment:
                                              MainAxisAlignment.start,
                                          children: <Widget>[
                                            Text(item.Text2,
                                                style: TextStyle(
                                                    fontSize: 18,
                                                    fontWeight: FontWeight.w900,
                                                    color: Colors.black87))
                                          ],
                                        ),
                                      ),
//                                      Expanded(
//                                        flex: 1,
//                                        child: Column(
//                                          crossAxisAlignment:
//                                              CrossAxisAlignment.stretch,
//                                          mainAxisAlignment:
//                                              MainAxisAlignment.start,
//                                          children: <Widget>[
//                                            Text(item.Text3,
//                                                style: TextStyle(
//                                                    fontSize: 18,
//                                                    fontWeight: FontWeight.w600,
//                                                    color: Colors.black87))
//                                          ],
//                                        ),
//                                      ),
                                      Expanded(
                                        flex: 1,
                                        child: Column(
                                          crossAxisAlignment:
                                              CrossAxisAlignment.stretch,
                                          mainAxisAlignment:
                                              MainAxisAlignment.start,
                                          children: <Widget>[
                                            Text(item.Text4,
                                                style: TextStyle(
                                                    fontSize: 18,
                                                    fontWeight: FontWeight.w600,
                                                    color: Colors.black87))
                                          ],
                                        ),
                                      ),
                                    ],
                                  )))
                        ],
                      )))
                  .toList())),
    );
  }
}
