import 'package:flutter/material.dart';
import 'package:local_auth/local_auth.dart';

class customFingerprint extends StatefulWidget {
  final Widget tapWidget;
  final String authText;
  final void Function(bool) authCallback;

  const customFingerprint({
    Key key,
    this.tapWidget,
    this.authText,
    this.authCallback
  }) :
        super(key: key);

  @override
  _customFingerprintState createState() => _customFingerprintState(
      this.authText,
      this.tapWidget,
      this.authCallback
  );
}

class _customFingerprintState extends State<customFingerprint> {
  Widget tapWidget;
  String authText;
  void Function(bool) authCallback;
  _customFingerprintState(
      String authText,
      Widget tapWidget,
      Function(bool) authCallback
      ){
    this.tapWidget = tapWidget;
    this.authText = authText;
    this.authCallback = authCallback;
  }
  final LocalAuthentication localAuth = LocalAuthentication();
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Color(0xffdb536a),
      body: GestureDetector(
        onTap: () async {
          bool weCanCheckBiometrics = await localAuth.canCheckBiometrics;

          if (weCanCheckBiometrics) {
            bool authenticated = await localAuth.authenticateWithBiometrics(
              localizedReason: (authText != null)? authText: "Tap to Login to App",
            );
          }
          authCallback(true);
        },
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.stretch,
          children: <Widget>[
            (tapWidget != null)? tapWidget : Icon(
              Icons.fingerprint,
              size: 68.0,
              color: Colors.white,
            ),
            Text(
              (authText != null)? authText: "Tap to Login to App",
              style: TextStyle(
                fontSize: 32.0,
                color: Colors.white,
              ),
              textAlign: TextAlign.center,
            ),
          ],
        ),
      ),
    );
  }
}
