import 'package:flutter/material.dart';
import '../../theme/theme.dart';
import '../../utils/consts.dart';

/*This widget is used to display a custom circular progress indicator.
    The user can specify the colour, size and the icon to be displayed.

    SAMPLE IMPLEMENTATION:
    IconState icon =new IconState(Icons.beach_access, Colors.blue,36.0);
    children: <Widget>[
    CustomisedIcon(icon)
    ],*/

//AUTHOR : Soumyadeep Mitra


//Widget Implementation
Widget CustomisedIcon(IconState iconState) {
  return new Container(
    child: Icon(
      iconState.icon,
      color: iconState.color==null?YellowThemeData().backgroundColor:iconState.color,
      size: iconState.size==null?heightFourrty:iconState.size,
    ),
  );
}

//Model for the Widget
class IconState {
  IconData icon;
  Color color;
  double size;

  IconState(this.icon, this.color, this.size);
}



