import 'package:flutter/material.dart';

class PwcImage extends StatefulWidget {


  final String src;
  final Key key;
  final double scale = 1.0;
  final ImageFrameBuilder frameBuilder;
  final ImageLoadingBuilder loadingBuilder;
  final ImageErrorListener errorBuilder;
  final String semanticLabel;
  final bool excludeFromSemantics;
  final double width;
  final double height;
  final Color color;
  final BlendMode colorBlendMode;
  final BoxFit fit;
  final AlignmentGeometry alignment;
  final ImageRepeat repeat;
  final Rect centerSlice;
  final bool matchTextDirection;
  final bool gaplessPlayback;
  final FilterQuality filterQuality;
  final Map<String, String> headers;
  final int cacheWidth;
  final int cacheHeight;

  const PwcImage({
    this.frameBuilder,
    this.loadingBuilder,
    this.errorBuilder,
    this.semanticLabel,
    this.excludeFromSemantics = false,
    this.width,
    this.height,
    this.color,
    this.colorBlendMode,
    this.fit,
    this.alignment = Alignment.center,
    this.repeat = ImageRepeat.noRepeat,
    this.centerSlice,
    this.matchTextDirection = false,
    this.gaplessPlayback = false,
    this.filterQuality = FilterQuality.low,
    this.key, this.headers, this.cacheWidth, this.cacheHeight, this.src,
  })
      :
        assert(alignment != null),
        assert(repeat != null),
        assert(matchTextDirection != null),
        assert(cacheWidth == null || cacheWidth > 0),
        assert(cacheHeight == null || cacheHeight > 0),
        super(key: key);


  @override
  _PwcImageState createState() {
    // TODO: implement createState
    return _PwcImageState();
  }
}


class _PwcImageState extends State<PwcImage>{
  @override
  Widget build(BuildContext context) {
  return new Container(
  child: Image(
  image : NetworkImage(widget.src),
  ),
  );
  }
  }

 /*void main() {
   runApp(App());
 }

 class App extends StatelessWidget {
   @override
   Widget build(BuildContext context) {
     return MaterialApp(
       title: "",
       home: Scaffold(
         appBar: AppBar(
           title: Text(""),
         ),
         body: Center(
           child: PwcImage(src:"http://miro.medium.com/max/3840/1*88vrIIpPfApKYwQeWw32xg.png",)
         ),
       ),
     );
   }
 }*/

