import 'package:flutter/material.dart';
import '../../theme/theme.dart';

class MaterialCard extends StatefulWidget {
  final String imgPath;
  final String title;
  final String subtitle;

  MaterialCard(
      {@required this.imgPath, @required this.title, @required this.subtitle});

  @override
  _MaterialCard createState() =>
      new _MaterialCard(this.imgPath, this.title, this.subtitle);
}

class _MaterialCard extends State<MaterialCard> {
  _MaterialCard(String imgPath, String title, String subtitle) {
    this.newimgPath = imgPath;
    this.newtitle = title;
    this.newsubtitle = subtitle;
  }
  String newimgPath;
  String newtitle;
  String newsubtitle;
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.all(20.0),
      child: Container(
        color: MediumGreyThemeData().primaryColor,
        child: Column(
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            Column(
              children: <Widget>[
                SizedBox(
                  height: 20.0,
                ),
                Card(
                  child: Image.asset(
                    newimgPath != null ? newimgPath : 'images/logo.png',
                    height: 80,
                    width: 80,
                  ),
                ),
                SizedBox(
                  height: 5.0,
                ),
                ListTile(
                  title: Text(
                    newtitle != null ? newtitle : 'The Enchanted Nightingale',
                    style: TextStyle(color: MediumGreyThemeData().primaryColorDark),
                  ),
                  subtitle: Text(newsubtitle != null
                      ? newsubtitle
                      : 'Music by Julie Gable. Lyrics by Sidney Stein.',
                    style: TextStyle(color: MediumGreyThemeData().primaryColorDark),
                )
                )
              ],
            ),
          ],
        ),
      ),
    );
  }
}
