import "package:flutter/material.dart";
import '../../theme/theme.dart';

class ChipPage extends StatefulWidget {
  final String labelText;
  final String tooltipmsg;
  final String deleteMsg;
  ChipPage({
    @required this.labelText,
    @required this.tooltipmsg,
    @required this.deleteMsg,
  });
  @override
  _ChipState createState() => new _ChipState(
      labelText: this.labelText,
      tooltipmsg: this.tooltipmsg,
      deleteMsg: this.deleteMsg);
}

class _ChipState extends State<ChipPage> {
  bool isSelected = false;

  _ChipState({String labelText, String tooltipmsg, String deleteMsg}) {
    this.newlabelText = labelText;
    this.newtooltipmsg = tooltipmsg;
    this.newdeleteMsg = deleteMsg;
  }
  String newlabelText;
  String newtooltipmsg;
  String newdeleteMsg;
  @override
  Widget build(BuildContext context) {
    return InputChip(
      label: Text(
        (newlabelText != null) ? newlabelText : "Default",
        style: TextStyle(color: Theme.of(context).primaryColor),
      ),
      pressElevation: 1,
      selected: isSelected,
      selectedColor: Theme.of(context).accentColor,
      labelPadding: EdgeInsets.symmetric(horizontal: 20),
      deleteIcon: Icon(Icons.close),
      deleteIconColor: Colors.cyan,

      isEnabled: true,
      clipBehavior: Clip.antiAlias,
      backgroundColor: Colors.blueGrey,
      deleteButtonTooltipMessage:
          (newtooltipmsg != null) ? newtooltipmsg : "Default",
      onPressed: () {
        setState(() {
          isSelected = true;
        });
        print("Hello");
      },
      materialTapTargetSize: MaterialTapTargetSize.padded,

      tooltip: (newdeleteMsg != null) ? newdeleteMsg : "Default",
//            onSelected: (isS) {
//              print("world");
//            },
      onDeleted: () {
        setState(() {
          isSelected = false;
        });
        print("onDeleted");
      },
    );
  }
}
