import 'package:flutter/material.dart';
import 'package:barcode_scan/barcode_scan.dart';
import 'package:flutter/services.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as cons;


class CustomQRCodeScanner extends StatefulWidget {
  Function(String) callback;
  CustomQRCodeScanner(this.callback);

  @override
  _customQRCodeScanner createState() => new _customQRCodeScanner(this.callback);
}

class _customQRCodeScanner extends State<CustomQRCodeScanner> {
  Function(String) callback;
  _customQRCodeScanner(this.callback);

  String scanResult = "";

  Future _scanQR() async {
    try {
      String qrResult = await BarcodeScanner.scan();
      setState(() {
        scanResult = qrResult;
      });
    } on PlatformException catch (ex) {
      if (ex.code == BarcodeScanner.CameraAccessDenied) {
        setState(() {
          scanResult = cons.cameraPermissionDenied;
        });
      } else {
        setState(() {
          scanResult = "$ex";
        });
      }
    } on FormatException {
      setState(() {
        scanResult = cons.cameraBackPress;
      });
    } catch (ex) {
      setState(() {
        scanResult = "$ex";
      });
    }
    callback(scanResult);
  }

  @override
  Widget build(BuildContext context) {
    return FloatingActionButton(
      child: Text(cons.scanImage),
      onPressed: _scanQR,
    );
  }
}