import 'dart:core';
import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as cons;
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';

class CustomSlider extends StatefulWidget {
  final SliderParameters param;
  final SliderContents data;
  final void Function(double) callbackSlider;
  const CustomSlider(
      {Key key, @required this.data, this.param, this.callbackSlider})
      : super(key: key);

  @override
  _CustomSliderState createState() =>
      _CustomSliderState(this.param, this.data, this.callbackSlider);
}

class _CustomSliderState extends State<CustomSlider> {
  SliderParameters param;
  SliderContents data;
  void Function(double) callbackSlider;
  _CustomSliderState(SliderParameters param, SliderContents data,
      Function(double) callbackSlider) {
    this.param = param;
    this.data = data;
    this.callbackSlider = callbackSlider;
  }
  double _value = 0.0;
  //print();
  @override
  Widget build(BuildContext context) {
    if (param == null && data == null) {
      return Slider(
        divisions: cons.DIVS,
        min: cons.MIN,
        max: cons.MAX,
        activeColor: MediumGreyThemeData().primaryColor,
        value: _value,
        onChanged: (value) {
          setState(() {
            _value = value;
          });
          print(_value);
        },
      );
    }
    else {
      return Slider(
        divisions: data.divs,
        max: data.maximum,
        min: data.minimum,
        activeColor: data.colorActive,
        inactiveColor: param.inactiveColor,
        value: _value,
        onChanged: (value) {
          setState(() {
            _value = value;
          });
          callbackSlider(_value);
        },
      );
    }
  }
}
