import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';

class CustomSwitch extends StatefulWidget {

final SwitchParameters param;
final SwitchContents data;
final void Function(bool) callbackSwitch;

  const CustomSwitch({
    Key key,

   @required this.data,
    this.param,
    this.callbackSwitch

  }) :
        super(key: key);
  @override
  _CustomSwitchState createState() => _CustomSwitchState(
    this.param,
    this.data,
    this.callbackSwitch
  );
}
class _CustomSwitchState extends State<CustomSwitch> {
  SwitchParameters param;
  SwitchContents data;
  void Function(bool) callbackSwitch;
  _CustomSwitchState(
  SwitchParameters param,
  SwitchContents data,
      Function(bool) callback
      ){
    this.param = param;
    this.data = data;
    this.callbackSwitch = callback;
  }
  bool val= false;
  @override
  Widget build(BuildContext context) {
// implement build
  if (param == null && data == null){
    return Switch(
      activeColor: MediumGreyThemeData().primaryColor,
      activeTrackColor: MediumGreyThemeData().primaryColor,
      value: val,
      onChanged: (bool e) => changeState(e) ,
      inactiveTrackColor: MediumGreyThemeData().primaryColorDark,
    );
  }
  else {
    return Switch(
      activeColor: data.color_active,
      activeTrackColor: data.color_active_track,
      value: val,
      onChanged: (bool e) => changeState(e) ,
      inactiveTrackColor: param.inactiveTrackColor,
    );
  }

  }
  void changeState(bool e){
    setState(() {
      if (e) {
        val=true;
        e=true;
      }
      else {
        val=false;
        e=false;
      }
      callbackSwitch(val);
    });
  }
}
