import 'package:flutter/material.dart';

import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';

import 'custom-divider.dart';
import 'custom-tabBarView.dart';

Widget PrimaryButtons(List<ButtonBarParameters> p) {
  List<RaisedButton> but = [];
  var x;

  for (var i = 0; i < p.length; i++) {
    x = new RaisedButton.icon(
      color: MediumGreyThemeData().focusColor,
      textColor: MediumGreyThemeData().cursorColor,
      disabledTextColor: MediumGreyThemeData().cursorColor,
      label: Text(p[i].text != null ? p[i].text : "Okay"),
      icon: p[i].icons != null ? p[i].icons : Icon(Icons.access_time),
      highlightElevation: 8.0,
      elevation: 7.0,
      disabledElevation: 10.0,
      hoverColor: MediumGreyThemeData().accentIconTheme.color,
      onPressed: () {},
      shape: new RoundedRectangleBorder(
          borderRadius: new BorderRadius.circular(0.0)),
      focusColor: MediumGreyThemeData().primaryIconTheme.color,
    );
    but.add(x);
  }

  return ButtonBar(
    buttonPadding: EdgeInsets.all(20.0),
    buttonHeight: 50.0,
    buttonMinWidth: 70.0,
    children: but,
  );
}

Widget SecondaryButtons(List<ButtonBarParameters> p) {
  List<FlatButton> but1 = [];
  var m;
  String n;
  for (var i = 0; i < p.length; i++) {
    m = new FlatButton.icon(
      textColor: MediumGreyThemeData().cursorColor,
      disabledTextColor: MediumGreyThemeData().cursorColor,
      label: Text(p[i].text != null ? p[i].text : "Okay"),
      highlightColor: MediumGreyThemeData().focusColor,
      icon: p[i].icons != null ? p[i].icons : Icon(Icons.access_time),
      hoverColor: MediumGreyThemeData().accentIconTheme.color,
      onPressed: () {},
      shape: new RoundedRectangleBorder(
          borderRadius: new BorderRadius.circular(30.0)),
      focusColor: MediumGreyThemeData().accentIconTheme.color,
    );

    but1.add(m);
  }
  return ButtonBar(
    buttonPadding: EdgeInsets.all(0),
    buttonHeight: 50.0,
    buttonMinWidth: 50.0,
    children: but1,
  );
}

Widget TertiaryButtons(List<ButtonBarParameters> p) {
  List<FlatButton> but1 = [];
  var m;
  String n;
  for (var i = 0; i < p.length; i++) {
    m = new FlatButton.icon(
      textColor: MediumGreyThemeData().cursorColor,
      disabledTextColor: MediumGreyThemeData().cursorColor,
      label: Text(p[i].text != null ? p[i].text : "Okay"),
      highlightColor: MediumGreyThemeData().focusColor,
      icon: p[i].icons != null ? p[i].icons : Icon(Icons.access_time),
      hoverColor: MediumGreyThemeData().accentIconTheme.color,
      onPressed: () {},
      shape: new RoundedRectangleBorder(
          borderRadius: new BorderRadius.circular(30.0)),
      focusColor: MediumGreyThemeData().iconTheme.color,
    );

    but1.add(m);
  }
  return ButtonBar(
    buttonPadding: EdgeInsets.all(0),
    buttonHeight: 50.0,
    buttonMinWidth: 50.0,
    children: but1,
  );
}
