import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as con;
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';
import 'package:flutter_widgets_library/theme/theme.dart';

Widget CustomIconButton(IconButtonParameters param) {
  if (param == null) {
    return IconButton(
      alignment: Alignment.center,
      color: MediumGreyThemeData().buttonColor,
      disabledColor: MediumGreyThemeData().disabledColor,
      focusColor: MediumGreyThemeData().focusColor,
      highlightColor: MediumGreyThemeData().highlightColor,
      hoverColor: MediumGreyThemeData().hoverColor,
      icon: Icon(con.icon_add),
      iconSize: con.icon_size,
      onPressed: () {},
      splashColor: MediumGreyThemeData().splashColor,
    );
  } else {
    return IconButton(
      alignment: (param.alignment != null) ? param.alignment : Alignment.center,
      color: (param.color != null)
          ? param.color
          : MediumGreyThemeData().buttonColor,
      disabledColor: MediumGreyThemeData().disabledColor,
      focusColor: (param.focusColor != null)
          ? param.focusColor
          : MediumGreyThemeData().focusColor,
      highlightColor: (param.highlightColor != null)
          ? param.highlightColor
          : MediumGreyThemeData().highlightColor,
      hoverColor: (param.hoverColor != null)
          ? param.hoverColor
          : MediumGreyThemeData().hoverColor,
      icon: (param.icon != null) ? (Icon(param.icon)) : Icon(con.icon_add),
      iconSize: (param.iconSize != null) ? param.iconSize : con.icon_size,
      onPressed: () {
        param.onPressed(true);
      },
      splashColor: (param.splashColor != null)
          ? param.splashColor
          : MediumGreyThemeData().splashColor,
      autofocus: false,
    );
  }
}
