import "package:flutter/material.dart";
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as constants;
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';

class chipWidget extends StatefulWidget {
  final MaterialChipData data;

  chipWidget({@required this.data});
  @override
  _ChipState createState() => new _ChipState();
}

class _ChipState extends State<chipWidget> {
  bool isSelected = false;

  @override
  Widget build(BuildContext context) {
    return InputChip(
      shadowColor: Colors.red,
      selectedShadowColor: Colors.red,
      shape: StadiumBorder(
          side: BorderSide(
              width: 2, color: MediumGreyThemeData().backgroundColor)),
      label: Text(
        (widget.data.labelText != null)
            ? widget.data.labelText
            : constants.chipLabel,
        style: TextStyle(
            color: MediumGreyThemeData().accentIconTheme.color,
            fontSize: constants.fontLarger),
        overflow: TextOverflow.ellipsis,
      ),
      pressElevation: 1,
      selected: isSelected,
      selectedColor: MediumGreyThemeData().tabBarTheme.unselectedLabelColor,
      labelPadding: EdgeInsets.symmetric(horizontal: constants.heightTwenty),
      deleteIcon: Icon(Icons.close),
      deleteIconColor: MediumGreyThemeData().accentIconTheme.color,

      isEnabled: true,
      clipBehavior: Clip.antiAlias,
      backgroundColor: MediumGreyThemeData().primaryColor,
      deleteButtonTooltipMessage: (widget.data.tooltipMsg != null)
          ? widget.data.tooltipMsg
          : constants.chipTooltipMessage,
      onPressed: () {
        setState(() {
          isSelected = true;
        });
        print("Hello");
      },
      materialTapTargetSize: MaterialTapTargetSize.padded,

      tooltip: (widget.data.deleteMsg != null)
          ? widget.data.deleteMsg
          : constants.chipDeleteMessage,
//            onSelected: (isS) {
//              print("world");
//            },
      onDeleted: () {
        setState(() {
          isSelected = false;
        });
        print("onDeleted");
      },
    );
  }
}
