// Flutter code sample for Expanded

// This example shows how to use an [Expanded] widget in a [Column] so that
// it's middle child, a [Container] here, expands to fill the space.
//
// ![This results in two thin blue boxes with a larger amber box in between.](https://flutter.github.io/assets-for-api-docs/assets/widgets/expanded_column.png)



import 'package:flutter/material.dart';



/// This Widget is the main application widget.
class PwcFittedBox extends StatelessWidget {


  final BoxFit fit;
  final AlignmentGeometry alignment;
  @required final Widget child;



  const PwcFittedBox({
    Key key,
    this.fit = BoxFit.contain,
    this.alignment = Alignment.center,
    this.child,

  }) ;

  /// This is the stateless widget that the main application instantiates.


  @override
  Widget build(BuildContext context) {
    return Scaffold(


      body: Center(
        child: Row(
          children: <Widget>[



            FittedBox(
              fit: fit!=null?fit:BoxFit.cover,

              child:child,
            )
          ],
        ),
      ),
    );
  }
}
