// Flutter code sample for Expanded

// This example shows how to use an [Expanded] widget in a [Column] so that
// it's middle child, a [Container] here, expands to fill the space.
//
// ![This results in two thin blue boxes with a larger amber box in between.](https://flutter.github.io/assets-for-api-docs/assets/widgets/expanded_column.png)



import 'package:flutter/material.dart';



/// This Widget is the main application widget.
class PwcSingleChildLayout extends StatelessWidget {


  final Key key;
  @required final Widget child;
 @required final SingleChildLayoutDelegate delegate;


  const PwcSingleChildLayout({
   this.key,
    @required this.delegate,
    this.child,
  }) ;


  /// This is the stateless widget that the main application instantiates.


  @override
  Widget build(BuildContext context) {
    return Scaffold(


      body: Center(
        child: Row(
          children: <Widget>[



            CustomSingleChildLayout(
              child:child,
              delegate: delegate,

            )
          ],
        ),
      ),
    );
  }
}
