import "package:flutter/material.dart";
import 'package:flutter_widgets_library/models/simple-dialog-page-model.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as constants;

Widget simpleDialogWidget(
    SimpleDialogData data, context, void Function(int, String) callback) {
  final double height_oneten = 110.0;
  final double padding_fourteen = 14.0;

  return SimpleDialog(
    elevation: constants.heightTen,
    backgroundColor: LiteThemeData().backgroundColor,
    title: Text(
      (data.dialogHeader != null) ? data.dialogHeader : constants.dialogHeader,
      textAlign: TextAlign.center,
      style: TextStyle(color: StartupTheme().splashColor)
    ),
    children: <Widget>[
      Container(
        padding: EdgeInsets.all(constants.heightThirty),
        height:
            (data.height != null) ? data.height : constants.heightTwoHundred,
        width: (data.width != null) ? data.width : constants.heightTwoHundred,
        child: SingleChildScrollView(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.stretch,
            children: <Widget>[
              SizedBox(
                height: constants.heightTwenty,
              ),
              Text(
                (data.dialogContent != null)
                    ? data.dialogContent
                    : constants.dialogContent,
                style: TextStyle(
                  color: StartupTheme().dividerColor,
                  fontSize: constants.fontLarger,
                  fontWeight: FontWeight.w400,
                ),
                textAlign: constants.textAlign,
              ),
            ],
          ),
        ),
      ),
      Container(
        padding: EdgeInsets.all(constants.heightThirty),
        child: ButtonBar(
          children: <Widget>[
            FlatButton(
              padding: EdgeInsets.all(constants.heightTen),
              child: Text(
                (data.dialogButtonText != null)
                    ? data.dialogButtonText
                    : constants.dialogButtonText,
                style: TextStyle(
                    color: LiteThemeData().backgroundColor,
                    fontSize: constants.fontLarger,
                    fontWeight: FontWeight.w400,
                    ),
                overflow: TextOverflow.ellipsis,
              ),
              color: StartupTheme().splashColor,
              onPressed: () {
                callback(1, 'okay');
              },
            ),
            FlatButton(
              padding: EdgeInsets.all(constants.heightTen),
              child: Text(
                constants.cancelButtonText,
                style: TextStyle(
                    color: LiteThemeData().backgroundColor,
                    fontSize: constants.fontLarger,
                    fontWeight: FontWeight.w400,
                    ),
                overflow: TextOverflow.ellipsis,
              ),
              color: StartupTheme().splashColor,
              onPressed: () {
                Navigator.of(context).pop();
              },
            )
          ],
        ),
      )
    ],
    shape: RoundedRectangleBorder(
        side: BorderSide(
          style: BorderStyle.none,
        ),
        borderRadius: BorderRadius.circular(constants.heightTen)),
  );
}
