import 'package:flutter/material.dart';
import 'package:flutter_widgets_library/models/snackbar-model.dart';
import 'package:flutter_widgets_library/theme/theme.dart';
import 'package:flutter_widgets_library/utils/consts.dart' as constants;

Widget snackBarWidget(BuildContext context, SnackBarData data) {
  final snackbar = SnackBar(
    elevation: constants.heightTen,
    backgroundColor: MediumGreyThemeData().primaryColor,
    content: Text(
      (data.snackBarContent != null)
          ? data.snackBarContent
          : constants.snackBarContent,
      style: TextStyle(
          color: MediumGreyThemeData().accentIconTheme.color,
          fontSize: constants.fontMedium),
      overflow: TextOverflow.ellipsis,
    ),
    duration: Duration(minutes: 1),
    behavior: SnackBarBehavior.floating,
    action: SnackBarAction(
      label: (data.snackBarLabel != null)
          ? data.snackBarLabel
          : constants.snackBarLabel,
      onPressed: () {
        print('callback on undo');
      },
    ),
  );
  Scaffold.of(context).showSnackBar(snackbar);
}
